System.register(["syncfusion-javascript/Scripts/ej/web/ej.daterangepicker", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, DateRangePickerValueAccessor, DateRangePickerComponent, EJ_DATERANGEPICKER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("DateRangePickerValueAccessor", DateRangePickerValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return DateRangePickerComponent; }),
                multi: true
            });
            DateRangePickerComponent = (function (_super) {
                __extends(DateRangePickerComponent, _super);
                function DateRangePickerComponent(el, cdRef) {
                    var _this = _super.call(this, 'DateRangePicker', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.beforeClose_output = new core_2.EventEmitter();
                    _this.beforeOpen_output = new core_2.EventEmitter();
                    _this.onChange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                DateRangePickerComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                DateRangePickerComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                DateRangePickerComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('allowEdit'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "allowEdit_input", void 0);
                __decorate([
                    core_2.Input('buttonText'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "buttonText_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('dateFormat'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "dateFormat_input", void 0);
                __decorate([
                    core_2.Input('enableTimePicker'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "enableTimePicker_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('endDate'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "endDate_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('ranges'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "ranges_input", void 0);
                __decorate([
                    core_2.Input('startDate'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "startDate_input", void 0);
                __decorate([
                    core_2.Input('showPopupButton'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "showPopupButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('timeFormat'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "timeFormat_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('beforeClose'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "beforeClose_output", void 0);
                __decorate([
                    core_2.Output('beforeOpen'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "beforeOpen_output", void 0);
                __decorate([
                    core_2.Output('onChange'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "onChange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], DateRangePickerComponent.prototype, "select_output", void 0);
                DateRangePickerComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-daterangepicker]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [DateRangePickerValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], DateRangePickerComponent);
                return DateRangePickerComponent;
            }(core_1.EJComponents));
            exports_1("DateRangePickerComponent", DateRangePickerComponent);
            exports_1("EJ_DATERANGEPICKER_COMPONENTS", EJ_DATERANGEPICKER_COMPONENTS = [DateRangePickerComponent
            ]);
        }
    };
});
//# sourceMappingURL=daterangepicker.component.js.map