System.register(["syncfusion-javascript/Scripts/ej/web/ej.editor", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, NumericTextboxValueAccessor, NumericTextboxComponent, EJ_NUMERICTEXTBOX_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("NumericTextboxValueAccessor", NumericTextboxValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return NumericTextboxComponent; }),
                multi: true
            });
            NumericTextboxComponent = (function (_super) {
                __extends(NumericTextboxComponent, _super);
                function NumericTextboxComponent(el, cdRef) {
                    var _this = _super.call(this, 'NumericTextbox', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                NumericTextboxComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                NumericTextboxComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                NumericTextboxComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('currencySymbol'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "currencySymbol_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('decimalPlaces'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "decimalPlaces_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableStrictMode'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "enableStrictMode_input", void 0);
                __decorate([
                    core_2.Input('groupSize'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "groupSize_input", void 0);
                __decorate([
                    core_2.Input('groupSeparator'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "groupSeparator_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('incrementStep'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "incrementStep_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxValue'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "maxValue_input", void 0);
                __decorate([
                    core_2.Input('minValue'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "minValue_input", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "name_input", void 0);
                __decorate([
                    core_2.Input('negativePattern'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "negativePattern_input", void 0);
                __decorate([
                    core_2.Input('positivePattern'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "positivePattern_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('showSpinButton'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "showSpinButton_input", void 0);
                __decorate([
                    core_2.Input('validateOnType'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "validateOnType_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], NumericTextboxComponent.prototype, "focusOut_output", void 0);
                NumericTextboxComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-numerictextbox]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [NumericTextboxValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], NumericTextboxComponent);
                return NumericTextboxComponent;
            }(core_1.EJComponents));
            exports_1("NumericTextboxComponent", NumericTextboxComponent);
            exports_1("EJ_NUMERICTEXTBOX_COMPONENTS", EJ_NUMERICTEXTBOX_COMPONENTS = [NumericTextboxComponent
            ]);
        }
    };
});
//# sourceMappingURL=numerictextbox.component.js.map