System.register(["syncfusion-javascript/Scripts/ej/web/ej.radialmenu", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, RadialMenuItemDirective, RadialMenuItemsDirective, RadialMenuComponent, EJ_RADIALMENU_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            RadialMenuItemDirective = (function (_super) {
                __extends(RadialMenuItemDirective, _super);
                function RadialMenuItemDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('imageUrl'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "imageUrl", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "enabled", void 0);
                __decorate([
                    core_2.Input('click'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "click", void 0);
                __decorate([
                    core_2.Input('badge'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "badge", void 0);
                __decorate([
                    core_2.Input('badge.enabled'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "badge_enabled", void 0);
                __decorate([
                    core_2.Input('badge.value'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "badge_value", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('sliderSettings'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "sliderSettings", void 0);
                __decorate([
                    core_2.Input('sliderSettings.ticks'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "sliderSettings_ticks", void 0);
                __decorate([
                    core_2.Input('sliderSettings.strokeWidth'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "sliderSettings_strokeWidth", void 0);
                __decorate([
                    core_2.Input('sliderSettings.labelSpace'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "sliderSettings_labelSpace", void 0);
                __decorate([
                    core_2.Input('items'),
                    __metadata("design:type", Object)
                ], RadialMenuItemDirective.prototype, "items", void 0);
                RadialMenuItemDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-items>e-item',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return RadialMenuComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], RadialMenuItemDirective);
                return RadialMenuItemDirective;
            }(core_1.ComplexTagElement));
            exports_1("RadialMenuItemDirective", RadialMenuItemDirective);
            RadialMenuItemsDirective = (function (_super) {
                __extends(RadialMenuItemsDirective, _super);
                function RadialMenuItemsDirective(widget) {
                    return _super.call(this, 'items') || this;
                }
                RadialMenuItemsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-radialmenu>e-items',
                        queries: {
                            children: new core_2.ContentChildren(RadialMenuItemDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return RadialMenuComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], RadialMenuItemsDirective);
                return RadialMenuItemsDirective;
            }(core_1.ArrayTagElement));
            exports_1("RadialMenuItemsDirective", RadialMenuItemsDirective);
            RadialMenuComponent = (function (_super) {
                __extends(RadialMenuComponent, _super);
                function RadialMenuComponent(el, cdRef) {
                    var _this = _super.call(this, 'RadialMenu', el, cdRef, ['items']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.click_output = new core_2.EventEmitter();
                    _this.ejclick_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('autoOpen'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "autoOpen_input", void 0);
                __decorate([
                    core_2.Input('backImageClass'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "backImageClass_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('imageClass'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "imageClass_input", void 0);
                __decorate([
                    core_2.Input('radius'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "radius_input", void 0);
                __decorate([
                    core_2.Input('targetElementId'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "targetElementId_input", void 0);
                __decorate([
                    core_2.Input('position'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "position_input", void 0);
                __decorate([
                    core_2.Input('items'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "items_input", void 0);
                __decorate([
                    core_2.Output('click'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "click_output", void 0);
                __decorate([
                    core_2.Output('ejclick'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "ejclick_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.ContentChild(RadialMenuItemsDirective),
                    __metadata("design:type", Object)
                ], RadialMenuComponent.prototype, "tag_items", void 0);
                RadialMenuComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-radialmenu',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], RadialMenuComponent);
                return RadialMenuComponent;
            }(core_1.EJComponents));
            exports_1("RadialMenuComponent", RadialMenuComponent);
            exports_1("EJ_RADIALMENU_COMPONENTS", EJ_RADIALMENU_COMPONENTS = [RadialMenuComponent,
                RadialMenuItemsDirective, RadialMenuItemDirective]);
        }
    };
});
//# sourceMappingURL=radialmenu.component.js.map