import { Routes } from '@angular/router';
import { GridComponent } from './grid/grid.component';
import { HomeComponent } from './home/home.component';
import { RowTemplateComponent } from './rowtemplate/rowtemplate.component';
import { SummaryTemplateComponent } from './summarytemplate/summarytemplate.component';
import { GroupCaptionComponent } from './groupcaption/groupcaption.component';
import { EditTemplateComponent } from './edittemplates/edit.component';

export const rootRouterConfig: Routes = [
    { path: '', redirectTo: 'home', pathMatch: 'full' },
    { path: 'home', component: HomeComponent },
    { path: 'grid', component: GridComponent },
    { path: 'edit', component: EditTemplateComponent },
    { path: 'rowtemplate', component: RowTemplateComponent },
    { path: 'summarytemplate', component: SummaryTemplateComponent },
    { path: 'groupcaption', component: GroupCaptionComponent },
];
