System.register(["syncfusion-javascript/Scripts/ej/web/ej.button.min", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, ButtonValueAccessor, ButtonComponent, EJ_BUTTON_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("ButtonValueAccessor", ButtonValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return ButtonComponent; }),
                multi: true
            });
            ButtonComponent = (function (_super) {
                __extends(ButtonComponent, _super);
                function ButtonComponent(el, cdRef) {
                    var _this = _super.call(this, 'Button', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.click_output = new core_2.EventEmitter();
                    _this.ejclick_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                ButtonComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                ButtonComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                ButtonComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('contentType'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "contentType_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('imagePosition'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "imagePosition_input", void 0);
                __decorate([
                    core_2.Input('prefixIcon'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "prefixIcon_input", void 0);
                __decorate([
                    core_2.Input('repeatButton'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "repeatButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "size_input", void 0);
                __decorate([
                    core_2.Input('suffixIcon'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "suffixIcon_input", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "text_input", void 0);
                __decorate([
                    core_2.Input('timeInterval'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "timeInterval_input", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "type_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('click'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "click_output", void 0);
                __decorate([
                    core_2.Output('ejclick'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "ejclick_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], ButtonComponent.prototype, "destroy_output", void 0);
                ButtonComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-button]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [ButtonValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], ButtonComponent);
                return ButtonComponent;
            }(core_1.EJComponents));
            exports_1("ButtonComponent", ButtonComponent);
            exports_1("EJ_BUTTON_COMPONENTS", EJ_BUTTON_COMPONENTS = [ButtonComponent
            ]);
        }
    };
});
//# sourceMappingURL=button.component.js.map