System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.chart", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, ChartTrendlineDirective, ChartTrendlinesDirective, ChartPointDirective, ChartPointsDirective, ChartSeriesDirective, ChartSeriesCollectionDirective, ChartIndicatorDirective, ChartIndicatorsDirective, ChartAnnotationDirective, ChartAnnotationsDirective, ChartPrimaryXAxisStripLineDirective, ChartPrimaryXAxisStripLineCollectionDirective, ChartPrimaryYAxisStripLineDirective, ChartPrimaryYAxisStripLineCollectionDirective, ChartRowDefinitionDirective, ChartRowDefinitionsDirective, ChartColumnDefinitionDirective, ChartColumnDefinitionsDirective, ChartComponent, EJ_CHART_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            ChartTrendlineDirective = (function (_super) {
                __extends(ChartTrendlineDirective, _super);
                function ChartTrendlineDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('visibility'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "visibility", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('fill'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "fill", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('dashArray'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "dashArray", void 0);
                __decorate([
                    core_2.Input('forwardForecast'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "forwardForecast", void 0);
                __decorate([
                    core_2.Input('backwardForecast'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "backwardForecast", void 0);
                __decorate([
                    core_2.Input('polynomialOrder'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "polynomialOrder", void 0);
                __decorate([
                    core_2.Input('period'),
                    __metadata("design:type", Object)
                ], ChartTrendlineDirective.prototype, "period", void 0);
                ChartTrendlineDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-trendlines>e-trendline',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartTrendlineDirective);
                return ChartTrendlineDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartTrendlineDirective", ChartTrendlineDirective);
            ChartTrendlinesDirective = (function (_super) {
                __extends(ChartTrendlinesDirective, _super);
                function ChartTrendlinesDirective(widget) {
                    return _super.call(this, 'trendlines') || this;
                }
                ChartTrendlinesDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-series>e-trendlines',
                        queries: {
                            children: new core_2.ContentChildren(ChartTrendlineDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartTrendlinesDirective);
                return ChartTrendlinesDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartTrendlinesDirective", ChartTrendlinesDirective);
            ChartPointDirective = (function (_super) {
                __extends(ChartPointDirective, _super);
                function ChartPointDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('visibleOnLegend'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "visibleOnLegend", void 0);
                __decorate([
                    core_2.Input('showIntermediateSum'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "showIntermediateSum", void 0);
                __decorate([
                    core_2.Input('showTotalSum'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "showTotalSum", void 0);
                __decorate([
                    core_2.Input('close'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "close", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "size", void 0);
                __decorate([
                    core_2.Input('fill'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "fill", void 0);
                __decorate([
                    core_2.Input('high'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "high", void 0);
                __decorate([
                    core_2.Input('low'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "low", void 0);
                __decorate([
                    core_2.Input('marker'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker", void 0);
                __decorate([
                    core_2.Input('marker.border'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_border", void 0);
                __decorate([
                    core_2.Input('marker.border.color'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_border_color", void 0);
                __decorate([
                    core_2.Input('marker.border.width'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_border_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.angle'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_angle", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_border", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border.color'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_border_color", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border.width'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_border_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_connectorLine", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.type'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_connectorLine_type", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.width'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_connectorLine_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.fill'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_fill", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font_fontFamily", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font_fontStyle", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font_fontWeight", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font_opacity", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.size'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_font_size", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.horizontalTextAlignment'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_horizontalTextAlignment", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_margin", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.bottom'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_margin_bottom", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.left'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_margin_left", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.right'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_margin_right", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.top'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_margin_top", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.opacity'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_opacity", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.shape'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_shape", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.textPosition'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_textPosition", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.verticalTextAlignment'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_verticalTextAlignment", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.visible'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_visible", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.template'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_template", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.offset'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_dataLabel_offset", void 0);
                __decorate([
                    core_2.Input('marker.fill'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_fill", void 0);
                __decorate([
                    core_2.Input('marker.imageUrl'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_imageUrl", void 0);
                __decorate([
                    core_2.Input('marker.opacity'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_opacity", void 0);
                __decorate([
                    core_2.Input('marker.shape'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_shape", void 0);
                __decorate([
                    core_2.Input('marker.size'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_size", void 0);
                __decorate([
                    core_2.Input('marker.size.height'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_size_height", void 0);
                __decorate([
                    core_2.Input('marker.size.width'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_size_width", void 0);
                __decorate([
                    core_2.Input('marker.visible'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "marker_visible", void 0);
                __decorate([
                    core_2.Input('open'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "open", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('x'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "x", void 0);
                __decorate([
                    core_2.Input('y'),
                    __metadata("design:type", Object)
                ], ChartPointDirective.prototype, "y", void 0);
                ChartPointDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-points>e-point',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPointDirective);
                return ChartPointDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartPointDirective", ChartPointDirective);
            ChartPointsDirective = (function (_super) {
                __extends(ChartPointsDirective, _super);
                function ChartPointsDirective(widget) {
                    return _super.call(this, 'points') || this;
                }
                ChartPointsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-series>e-points',
                        queries: {
                            children: new core_2.ContentChildren(ChartPointDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPointsDirective);
                return ChartPointsDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartPointsDirective", ChartPointsDirective);
            ChartSeriesDirective = (function (_super) {
                __extends(ChartSeriesDirective, _super);
                function ChartSeriesDirective(widget) {
                    var _this = _super.call(this, ['Trendlines', 'points']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('bearFillColor'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "bearFillColor", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('border.dashArray'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "border_dashArray", void 0);
                __decorate([
                    core_2.Input('bullFillColor'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "bullFillColor", void 0);
                __decorate([
                    core_2.Input('columnFacet'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "columnFacet", void 0);
                __decorate([
                    core_2.Input('columnWidth'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "columnWidth", void 0);
                __decorate([
                    core_2.Input('columnSpacing'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "columnSpacing", void 0);
                __decorate([
                    core_2.Input('stackingGroup'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "stackingGroup", void 0);
                __decorate([
                    core_2.Input('dashArray'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "dashArray", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "dataSource", void 0);
                __decorate([
                    core_2.Input('doughnutCoefficient'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "doughnutCoefficient", void 0);
                __decorate([
                    core_2.Input('doughnutSize'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "doughnutSize", void 0);
                __decorate([
                    core_2.Input('drawType'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "drawType", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "enableAnimation", void 0);
                __decorate([
                    core_2.Input('enableSmartLabels'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "enableSmartLabels", void 0);
                __decorate([
                    core_2.Input('endAngle'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "endAngle", void 0);
                __decorate([
                    core_2.Input('explode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "explode", void 0);
                __decorate([
                    core_2.Input('explodeAll'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "explodeAll", void 0);
                __decorate([
                    core_2.Input('explodeIndex'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "explodeIndex", void 0);
                __decorate([
                    core_2.Input('explodeOffset'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "explodeOffset", void 0);
                __decorate([
                    core_2.Input('fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "fill", void 0);
                __decorate([
                    core_2.Input('font'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font", void 0);
                __decorate([
                    core_2.Input('font.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_color", void 0);
                __decorate([
                    core_2.Input('font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_fontFamily", void 0);
                __decorate([
                    core_2.Input('font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_fontStyle", void 0);
                __decorate([
                    core_2.Input('font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_fontWeight", void 0);
                __decorate([
                    core_2.Input('font.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_opacity", void 0);
                __decorate([
                    core_2.Input('font.size'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "font_size", void 0);
                __decorate([
                    core_2.Input('funnelHeight'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "funnelHeight", void 0);
                __decorate([
                    core_2.Input('funnelWidth'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "funnelWidth", void 0);
                __decorate([
                    core_2.Input('gapRatio'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "gapRatio", void 0);
                __decorate([
                    core_2.Input('isClosed'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "isClosed", void 0);
                __decorate([
                    core_2.Input('isStacking'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "isStacking", void 0);
                __decorate([
                    core_2.Input('isTransposed'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "isTransposed", void 0);
                __decorate([
                    core_2.Input('showMedian'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "showMedian", void 0);
                __decorate([
                    core_2.Input('labelPosition'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "labelPosition", void 0);
                __decorate([
                    core_2.Input('splitMode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "splitMode", void 0);
                __decorate([
                    core_2.Input('boxPlotMode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "boxPlotMode", void 0);
                __decorate([
                    core_2.Input('lineCap'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "lineCap", void 0);
                __decorate([
                    core_2.Input('lineJoin'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "lineJoin", void 0);
                __decorate([
                    core_2.Input('marker'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker", void 0);
                __decorate([
                    core_2.Input('marker.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_border", void 0);
                __decorate([
                    core_2.Input('marker.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_border_color", void 0);
                __decorate([
                    core_2.Input('marker.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_border_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.angle'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_angle", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.maximumLabelWidth'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_maximumLabelWidth", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.enableWrap'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_enableWrap", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_border", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_border_color", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_border_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_connectorLine", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.type'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_connectorLine_type", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_connectorLine_width", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_connectorLine_color", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.connectorLine.height'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_connectorLine_height", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_fill", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_fontFamily", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_color", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_fontStyle", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_fontWeight", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_opacity", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.font.size'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_font_size", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.horizontalTextAlignment'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_horizontalTextAlignment", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_margin", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.bottom'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_margin_bottom", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.left'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_margin_left", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.right'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_margin_right", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.margin.top'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_margin_top", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_opacity", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.shape'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_shape", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.textMappingName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_textMappingName", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.textPosition'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_textPosition", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.verticalTextAlignment'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_verticalTextAlignment", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.visible'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_visible", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.template'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_template", void 0);
                __decorate([
                    core_2.Input('marker.dataLabel.offset'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_dataLabel_offset", void 0);
                __decorate([
                    core_2.Input('marker.fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_fill", void 0);
                __decorate([
                    core_2.Input('marker.imageUrl'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_imageUrl", void 0);
                __decorate([
                    core_2.Input('marker.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_opacity", void 0);
                __decorate([
                    core_2.Input('marker.shape'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_shape", void 0);
                __decorate([
                    core_2.Input('marker.size'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_size", void 0);
                __decorate([
                    core_2.Input('marker.size.height'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_size_height", void 0);
                __decorate([
                    core_2.Input('marker.size.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_size_width", void 0);
                __decorate([
                    core_2.Input('marker.visible'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "marker_visible", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('outlierSettings'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "outlierSettings", void 0);
                __decorate([
                    core_2.Input('outlierSettings.shape'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "outlierSettings_shape", void 0);
                __decorate([
                    core_2.Input('outlierSettings.size'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "outlierSettings_size", void 0);
                __decorate([
                    core_2.Input('outlierSettings.size.height'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "outlierSettings_size_height", void 0);
                __decorate([
                    core_2.Input('outlierSettings.size.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "outlierSettings_size_width", void 0);
                __decorate([
                    core_2.Input('palette'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "palette", void 0);
                __decorate([
                    core_2.Input('pieCoefficient'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "pieCoefficient", void 0);
                __decorate([
                    core_2.Input('pieOfPieCoefficient'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "pieOfPieCoefficient", void 0);
                __decorate([
                    core_2.Input('splitValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "splitValue", void 0);
                __decorate([
                    core_2.Input('gapWidth'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "gapWidth", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.visible'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_visible", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.displayMode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_displayMode", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.style'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_style", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.style.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_style_color", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.style.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_style_border", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.style.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_style_border_color", void 0);
                __decorate([
                    core_2.Input('emptyPointSettings.style.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "emptyPointSettings_style_border_width", void 0);
                __decorate([
                    core_2.Input('positiveFill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "positiveFill", void 0);
                __decorate([
                    core_2.Input('connectorLine'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "connectorLine", void 0);
                __decorate([
                    core_2.Input('connectorLine.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "connectorLine_width", void 0);
                __decorate([
                    core_2.Input('connectorLine.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "connectorLine_color", void 0);
                __decorate([
                    core_2.Input('connectorLine.dashArray'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "connectorLine_dashArray", void 0);
                __decorate([
                    core_2.Input('connectorLine.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "connectorLine_opacity", void 0);
                __decorate([
                    core_2.Input('dragSettings'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "dragSettings", void 0);
                __decorate([
                    core_2.Input('dragSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "dragSettings_enable", void 0);
                __decorate([
                    core_2.Input('dragSettings.type'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "dragSettings_type", void 0);
                __decorate([
                    core_2.Input('errorBar'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar", void 0);
                __decorate([
                    core_2.Input('errorBar.visibility'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_visibility", void 0);
                __decorate([
                    core_2.Input('errorBar.type'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_type", void 0);
                __decorate([
                    core_2.Input('errorBar.mode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_mode", void 0);
                __decorate([
                    core_2.Input('errorBar.direction'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_direction", void 0);
                __decorate([
                    core_2.Input('errorBar.verticalErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_verticalErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.horizontalErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_horizontalErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.horizontalPositiveErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_horizontalPositiveErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.horizontalNegativeErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_horizontalNegativeErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.verticalPositiveErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_verticalPositiveErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.verticalNegativeErrorValue'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_verticalNegativeErrorValue", void 0);
                __decorate([
                    core_2.Input('errorBar.fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_fill", void 0);
                __decorate([
                    core_2.Input('errorBar.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_width", void 0);
                __decorate([
                    core_2.Input('errorBar.cap'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_cap", void 0);
                __decorate([
                    core_2.Input('errorBar.cap.visible'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_cap_visible", void 0);
                __decorate([
                    core_2.Input('errorBar.cap.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_cap_width", void 0);
                __decorate([
                    core_2.Input('errorBar.cap.length'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_cap_length", void 0);
                __decorate([
                    core_2.Input('errorBar.cap.fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "errorBar_cap_fill", void 0);
                __decorate([
                    core_2.Input('points'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "points", void 0);
                __decorate([
                    core_2.Input('pyramidMode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "pyramidMode", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "query", void 0);
                __decorate([
                    core_2.Input('startAngle'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "startAngle", void 0);
                __decorate([
                    core_2.Input('cornerRadius'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "cornerRadius", void 0);
                __decorate([
                    core_2.Input('cornerRadius.topLeft'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "cornerRadius_topLeft", void 0);
                __decorate([
                    core_2.Input('cornerRadius.topRight'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "cornerRadius_topRight", void 0);
                __decorate([
                    core_2.Input('cornerRadius.bottomLeft'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "cornerRadius_bottomLeft", void 0);
                __decorate([
                    core_2.Input('cornerRadius.bottomRight'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "cornerRadius_bottomRight", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip", void 0);
                __decorate([
                    core_2.Input('tooltip.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_border", void 0);
                __decorate([
                    core_2.Input('tooltip.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_border_color", void 0);
                __decorate([
                    core_2.Input('tooltip.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_border_width", void 0);
                __decorate([
                    core_2.Input('tooltip.rx'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_rx", void 0);
                __decorate([
                    core_2.Input('tooltip.ry'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_ry", void 0);
                __decorate([
                    core_2.Input('tooltip.duration'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_duration", void 0);
                __decorate([
                    core_2.Input('tooltip.enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_enableAnimation", void 0);
                __decorate([
                    core_2.Input('tooltip.fill'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_fill", void 0);
                __decorate([
                    core_2.Input('tooltip.format'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_format", void 0);
                __decorate([
                    core_2.Input('tooltip.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_opacity", void 0);
                __decorate([
                    core_2.Input('tooltip.template'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_template", void 0);
                __decorate([
                    core_2.Input('tooltip.visible'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tooltip_visible", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('visibility'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "visibility", void 0);
                __decorate([
                    core_2.Input('visibleOnLegend'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "visibleOnLegend", void 0);
                __decorate([
                    core_2.Input('xAxisName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "xAxisName", void 0);
                __decorate([
                    core_2.Input('xName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "xName", void 0);
                __decorate([
                    core_2.Input('yAxisName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "yAxisName", void 0);
                __decorate([
                    core_2.Input('yName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "yName", void 0);
                __decorate([
                    core_2.Input('high'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "high", void 0);
                __decorate([
                    core_2.Input('low'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "low", void 0);
                __decorate([
                    core_2.Input('open'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "open", void 0);
                __decorate([
                    core_2.Input('close'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "close", void 0);
                __decorate([
                    core_2.Input('pointColorMappingName'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "pointColorMappingName", void 0);
                __decorate([
                    core_2.Input('zOrder'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "zOrder", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "size", void 0);
                __decorate([
                    core_2.Input('trendlines'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "trendlines", void 0);
                __decorate([
                    core_2.Input('highlightSettings'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings", void 0);
                __decorate([
                    core_2.Input('highlightSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_enable", void 0);
                __decorate([
                    core_2.Input('highlightSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_mode", void 0);
                __decorate([
                    core_2.Input('highlightSettings.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_color", void 0);
                __decorate([
                    core_2.Input('highlightSettings.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_opacity", void 0);
                __decorate([
                    core_2.Input('highlightSettings.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_border", void 0);
                __decorate([
                    core_2.Input('highlightSettings.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_border_color", void 0);
                __decorate([
                    core_2.Input('highlightSettings.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_border_width", void 0);
                __decorate([
                    core_2.Input('highlightSettings.pattern'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_pattern", void 0);
                __decorate([
                    core_2.Input('highlightSettings.customPattern'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "highlightSettings_customPattern", void 0);
                __decorate([
                    core_2.Input('selectionSettings'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings", void 0);
                __decorate([
                    core_2.Input('selectionSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_enable", void 0);
                __decorate([
                    core_2.Input('selectionSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_mode", void 0);
                __decorate([
                    core_2.Input('selectionSettings.type'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_type", void 0);
                __decorate([
                    core_2.Input('selectionSettings.rangeType'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_rangeType", void 0);
                __decorate([
                    core_2.Input('selectionSettings.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_color", void 0);
                __decorate([
                    core_2.Input('selectionSettings.opacity'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_opacity", void 0);
                __decorate([
                    core_2.Input('selectionSettings.border'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_border", void 0);
                __decorate([
                    core_2.Input('selectionSettings.border.color'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_border_color", void 0);
                __decorate([
                    core_2.Input('selectionSettings.border.width'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_border_width", void 0);
                __decorate([
                    core_2.Input('selectionSettings.pattern'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_pattern", void 0);
                __decorate([
                    core_2.Input('selectionSettings.customPattern'),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "selectionSettings_customPattern", void 0);
                __decorate([
                    core_2.ContentChild(ChartTrendlinesDirective),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tag_Trendlines", void 0);
                __decorate([
                    core_2.ContentChild(ChartPointsDirective),
                    __metadata("design:type", Object)
                ], ChartSeriesDirective.prototype, "tag_points", void 0);
                ChartSeriesDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-seriescollection>e-series',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartSeriesDirective);
                return ChartSeriesDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartSeriesDirective", ChartSeriesDirective);
            ChartSeriesCollectionDirective = (function (_super) {
                __extends(ChartSeriesCollectionDirective, _super);
                function ChartSeriesCollectionDirective(widget) {
                    return _super.call(this, 'series') || this;
                }
                ChartSeriesCollectionDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-seriescollection',
                        queries: {
                            children: new core_2.ContentChildren(ChartSeriesDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartSeriesCollectionDirective);
                return ChartSeriesCollectionDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartSeriesCollectionDirective", ChartSeriesCollectionDirective);
            ChartIndicatorDirective = (function (_super) {
                __extends(ChartIndicatorDirective, _super);
                function ChartIndicatorDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('dPeriod'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "dPeriod", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "enableAnimation", void 0);
                __decorate([
                    core_2.Input('fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "fill", void 0);
                __decorate([
                    core_2.Input('histogram'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram", void 0);
                __decorate([
                    core_2.Input('histogram.border'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram_border", void 0);
                __decorate([
                    core_2.Input('histogram.border.color'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram_border_color", void 0);
                __decorate([
                    core_2.Input('histogram.border.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram_border_width", void 0);
                __decorate([
                    core_2.Input('histogram.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram_fill", void 0);
                __decorate([
                    core_2.Input('histogram.opacity'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "histogram_opacity", void 0);
                __decorate([
                    core_2.Input('kPeriod'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "kPeriod", void 0);
                __decorate([
                    core_2.Input('longPeriod'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "longPeriod", void 0);
                __decorate([
                    core_2.Input('lowerLine'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "lowerLine", void 0);
                __decorate([
                    core_2.Input('lowerLine.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "lowerLine_fill", void 0);
                __decorate([
                    core_2.Input('lowerLine.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "lowerLine_width", void 0);
                __decorate([
                    core_2.Input('macdLine'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "macdLine", void 0);
                __decorate([
                    core_2.Input('macdLine.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "macdLine_fill", void 0);
                __decorate([
                    core_2.Input('macdLine.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "macdLine_width", void 0);
                __decorate([
                    core_2.Input('macdType'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "macdType", void 0);
                __decorate([
                    core_2.Input('period'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "period", void 0);
                __decorate([
                    core_2.Input('periodLine'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "periodLine", void 0);
                __decorate([
                    core_2.Input('periodLine.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "periodLine_fill", void 0);
                __decorate([
                    core_2.Input('periodLine.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "periodLine_width", void 0);
                __decorate([
                    core_2.Input('seriesName'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "seriesName", void 0);
                __decorate([
                    core_2.Input('shortPeriod'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "shortPeriod", void 0);
                __decorate([
                    core_2.Input('standardDeviations'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "standardDeviations", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip", void 0);
                __decorate([
                    core_2.Input('tooltip.border'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_border", void 0);
                __decorate([
                    core_2.Input('tooltip.border.color'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_border_color", void 0);
                __decorate([
                    core_2.Input('tooltip.border.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_border_width", void 0);
                __decorate([
                    core_2.Input('tooltip.duration'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_duration", void 0);
                __decorate([
                    core_2.Input('tooltip.enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_enableAnimation", void 0);
                __decorate([
                    core_2.Input('tooltip.format'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_format", void 0);
                __decorate([
                    core_2.Input('tooltip.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_fill", void 0);
                __decorate([
                    core_2.Input('tooltip.opacity'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_opacity", void 0);
                __decorate([
                    core_2.Input('tooltip.visible'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "tooltip_visible", void 0);
                __decorate([
                    core_2.Input('trigger'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "trigger", void 0);
                __decorate([
                    core_2.Input('visibility'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "visibility", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('upperLine'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "upperLine", void 0);
                __decorate([
                    core_2.Input('upperLine.fill'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "upperLine_fill", void 0);
                __decorate([
                    core_2.Input('upperLine.width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "upperLine_width", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('xAxisName'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "xAxisName", void 0);
                __decorate([
                    core_2.Input('yAxisName'),
                    __metadata("design:type", Object)
                ], ChartIndicatorDirective.prototype, "yAxisName", void 0);
                ChartIndicatorDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-chart-indicators>e-chart-indicator',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartIndicatorDirective);
                return ChartIndicatorDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartIndicatorDirective", ChartIndicatorDirective);
            ChartIndicatorsDirective = (function (_super) {
                __extends(ChartIndicatorsDirective, _super);
                function ChartIndicatorsDirective(widget) {
                    return _super.call(this, 'indicators') || this;
                }
                ChartIndicatorsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-chart-indicators',
                        queries: {
                            children: new core_2.ContentChildren(ChartIndicatorDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartIndicatorsDirective);
                return ChartIndicatorsDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartIndicatorsDirective", ChartIndicatorsDirective);
            ChartAnnotationDirective = (function (_super) {
                __extends(ChartAnnotationDirective, _super);
                function ChartAnnotationDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('angle'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "angle", void 0);
                __decorate([
                    core_2.Input('content'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "content", void 0);
                __decorate([
                    core_2.Input('coordinateUnit'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "coordinateUnit", void 0);
                __decorate([
                    core_2.Input('horizontalAlignment'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "horizontalAlignment", void 0);
                __decorate([
                    core_2.Input('margin'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "margin", void 0);
                __decorate([
                    core_2.Input('margin.bottom'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "margin_bottom", void 0);
                __decorate([
                    core_2.Input('margin.left'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "margin_left", void 0);
                __decorate([
                    core_2.Input('margin.right'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "margin_right", void 0);
                __decorate([
                    core_2.Input('margin.top'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "margin_top", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('region'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "region", void 0);
                __decorate([
                    core_2.Input('verticalAlignment'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "verticalAlignment", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('x'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "x", void 0);
                __decorate([
                    core_2.Input('xAxisName'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "xAxisName", void 0);
                __decorate([
                    core_2.Input('y'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "y", void 0);
                __decorate([
                    core_2.Input('yAxisName'),
                    __metadata("design:type", Object)
                ], ChartAnnotationDirective.prototype, "yAxisName", void 0);
                ChartAnnotationDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-annotations>e-annotation',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartAnnotationDirective);
                return ChartAnnotationDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartAnnotationDirective", ChartAnnotationDirective);
            ChartAnnotationsDirective = (function (_super) {
                __extends(ChartAnnotationsDirective, _super);
                function ChartAnnotationsDirective(widget) {
                    return _super.call(this, 'annotations') || this;
                }
                ChartAnnotationsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-annotations',
                        queries: {
                            children: new core_2.ContentChildren(ChartAnnotationDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartAnnotationsDirective);
                return ChartAnnotationsDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartAnnotationsDirective", ChartAnnotationsDirective);
            ChartPrimaryXAxisStripLineDirective = (function (_super) {
                __extends(ChartPrimaryXAxisStripLineDirective, _super);
                function ChartPrimaryXAxisStripLineDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('color'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "color", void 0);
                __decorate([
                    core_2.Input('end'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "end", void 0);
                __decorate([
                    core_2.Input('font'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font", void 0);
                __decorate([
                    core_2.Input('font.color'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_color", void 0);
                __decorate([
                    core_2.Input('font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_fontFamily", void 0);
                __decorate([
                    core_2.Input('font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_fontStyle", void 0);
                __decorate([
                    core_2.Input('font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_fontWeight", void 0);
                __decorate([
                    core_2.Input('font.opacity'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_opacity", void 0);
                __decorate([
                    core_2.Input('font.size'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "font_size", void 0);
                __decorate([
                    core_2.Input('start'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "start", void 0);
                __decorate([
                    core_2.Input('startFromAxis'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "startFromAxis", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('textAlignment'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "textAlignment", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('zIndex'),
                    __metadata("design:type", Object)
                ], ChartPrimaryXAxisStripLineDirective.prototype, "zIndex", void 0);
                ChartPrimaryXAxisStripLineDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-primaryxaxis-striplinecollection>e-primaryxaxis-stripline',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPrimaryXAxisStripLineDirective);
                return ChartPrimaryXAxisStripLineDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartPrimaryXAxisStripLineDirective", ChartPrimaryXAxisStripLineDirective);
            ChartPrimaryXAxisStripLineCollectionDirective = (function (_super) {
                __extends(ChartPrimaryXAxisStripLineCollectionDirective, _super);
                function ChartPrimaryXAxisStripLineCollectionDirective(widget) {
                    return _super.call(this, 'primaryXAxis.stripLine') || this;
                }
                ChartPrimaryXAxisStripLineCollectionDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-primaryxaxis-striplinecollection',
                        queries: {
                            children: new core_2.ContentChildren(ChartPrimaryXAxisStripLineDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPrimaryXAxisStripLineCollectionDirective);
                return ChartPrimaryXAxisStripLineCollectionDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartPrimaryXAxisStripLineCollectionDirective", ChartPrimaryXAxisStripLineCollectionDirective);
            ChartPrimaryYAxisStripLineDirective = (function (_super) {
                __extends(ChartPrimaryYAxisStripLineDirective, _super);
                function ChartPrimaryYAxisStripLineDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('color'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "color", void 0);
                __decorate([
                    core_2.Input('end'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "end", void 0);
                __decorate([
                    core_2.Input('font'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font", void 0);
                __decorate([
                    core_2.Input('font.color'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_color", void 0);
                __decorate([
                    core_2.Input('font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_fontFamily", void 0);
                __decorate([
                    core_2.Input('font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_fontStyle", void 0);
                __decorate([
                    core_2.Input('font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_fontWeight", void 0);
                __decorate([
                    core_2.Input('font.opacity'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_opacity", void 0);
                __decorate([
                    core_2.Input('font.size'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "font_size", void 0);
                __decorate([
                    core_2.Input('start'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "start", void 0);
                __decorate([
                    core_2.Input('startFromAxis'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "startFromAxis", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('textAlignment'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "textAlignment", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('zIndex'),
                    __metadata("design:type", Object)
                ], ChartPrimaryYAxisStripLineDirective.prototype, "zIndex", void 0);
                ChartPrimaryYAxisStripLineDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-primaryyaxis-striplinecollection>e-primaryyaxis-stripline',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPrimaryYAxisStripLineDirective);
                return ChartPrimaryYAxisStripLineDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartPrimaryYAxisStripLineDirective", ChartPrimaryYAxisStripLineDirective);
            ChartPrimaryYAxisStripLineCollectionDirective = (function (_super) {
                __extends(ChartPrimaryYAxisStripLineCollectionDirective, _super);
                function ChartPrimaryYAxisStripLineCollectionDirective(widget) {
                    return _super.call(this, 'primaryYAxis.stripLine') || this;
                }
                ChartPrimaryYAxisStripLineCollectionDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-primaryyaxis-striplinecollection',
                        queries: {
                            children: new core_2.ContentChildren(ChartPrimaryYAxisStripLineDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartPrimaryYAxisStripLineCollectionDirective);
                return ChartPrimaryYAxisStripLineCollectionDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartPrimaryYAxisStripLineCollectionDirective", ChartPrimaryYAxisStripLineCollectionDirective);
            ChartRowDefinitionDirective = (function (_super) {
                __extends(ChartRowDefinitionDirective, _super);
                function ChartRowDefinitionDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('unit'),
                    __metadata("design:type", Object)
                ], ChartRowDefinitionDirective.prototype, "unit", void 0);
                __decorate([
                    core_2.Input('rowHeight'),
                    __metadata("design:type", Object)
                ], ChartRowDefinitionDirective.prototype, "rowHeight", void 0);
                __decorate([
                    core_2.Input('lineColor'),
                    __metadata("design:type", Object)
                ], ChartRowDefinitionDirective.prototype, "lineColor", void 0);
                __decorate([
                    core_2.Input('lineWidth'),
                    __metadata("design:type", Object)
                ], ChartRowDefinitionDirective.prototype, "lineWidth", void 0);
                ChartRowDefinitionDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-rowdefinitions>e-rowdefinition',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartRowDefinitionDirective);
                return ChartRowDefinitionDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartRowDefinitionDirective", ChartRowDefinitionDirective);
            ChartRowDefinitionsDirective = (function (_super) {
                __extends(ChartRowDefinitionsDirective, _super);
                function ChartRowDefinitionsDirective(widget) {
                    return _super.call(this, 'rowDefinitions') || this;
                }
                ChartRowDefinitionsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-rowdefinitions',
                        queries: {
                            children: new core_2.ContentChildren(ChartRowDefinitionDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartRowDefinitionsDirective);
                return ChartRowDefinitionsDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartRowDefinitionsDirective", ChartRowDefinitionsDirective);
            ChartColumnDefinitionDirective = (function (_super) {
                __extends(ChartColumnDefinitionDirective, _super);
                function ChartColumnDefinitionDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('unit'),
                    __metadata("design:type", Object)
                ], ChartColumnDefinitionDirective.prototype, "unit", void 0);
                __decorate([
                    core_2.Input('columnWidth'),
                    __metadata("design:type", Object)
                ], ChartColumnDefinitionDirective.prototype, "columnWidth", void 0);
                __decorate([
                    core_2.Input('lineColor'),
                    __metadata("design:type", Object)
                ], ChartColumnDefinitionDirective.prototype, "lineColor", void 0);
                __decorate([
                    core_2.Input('lineWidth'),
                    __metadata("design:type", Object)
                ], ChartColumnDefinitionDirective.prototype, "lineWidth", void 0);
                ChartColumnDefinitionDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-columndefinitions>e-columndefinition',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartColumnDefinitionDirective);
                return ChartColumnDefinitionDirective;
            }(core_1.ComplexTagElement));
            exports_1("ChartColumnDefinitionDirective", ChartColumnDefinitionDirective);
            ChartColumnDefinitionsDirective = (function (_super) {
                __extends(ChartColumnDefinitionsDirective, _super);
                function ChartColumnDefinitionsDirective(widget) {
                    return _super.call(this, 'columnDefinitions') || this;
                }
                ChartColumnDefinitionsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-chart>e-columndefinitions',
                        queries: {
                            children: new core_2.ContentChildren(ChartColumnDefinitionDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ChartComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ChartColumnDefinitionsDirective);
                return ChartColumnDefinitionsDirective;
            }(core_1.ArrayTagElement));
            exports_1("ChartColumnDefinitionsDirective", ChartColumnDefinitionsDirective);
            ChartComponent = (function (_super) {
                __extends(ChartComponent, _super);
                function ChartComponent(el, cdRef) {
                    var _this = _super.call(this, 'Chart', el, cdRef, ['series', 'indicators', 'annotations', 'primaryXAxis.stripLine', 'primaryYAxis.stripLine', 'rowDefinitions', 'columnDefinitions']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.animationComplete_output = new core_2.EventEmitter();
                    _this.axesLabelRendering_output = new core_2.EventEmitter();
                    _this.axesLabelsInitialize_output = new core_2.EventEmitter();
                    _this.axesRangeCalculate_output = new core_2.EventEmitter();
                    _this.axesTitleRendering_output = new core_2.EventEmitter();
                    _this.chartAreaBoundsCalculate_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.displayTextRendering_output = new core_2.EventEmitter();
                    _this.legendBoundsCalculate_output = new core_2.EventEmitter();
                    _this.legendItemClick_output = new core_2.EventEmitter();
                    _this.legendItemMouseMove_output = new core_2.EventEmitter();
                    _this.legendItemRendering_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.zoomed_output = new core_2.EventEmitter();
                    _this.rangeSelected_output = new core_2.EventEmitter();
                    _this.pointRegionClick_output = new core_2.EventEmitter();
                    _this.pointRegionMouseMove_output = new core_2.EventEmitter();
                    _this.preRender_output = new core_2.EventEmitter();
                    _this.seriesRegionClick_output = new core_2.EventEmitter();
                    _this.seriesRendering_output = new core_2.EventEmitter();
                    _this.symbolRendering_output = new core_2.EventEmitter();
                    _this.titleRendering_output = new core_2.EventEmitter();
                    _this.toolTipInitialize_output = new core_2.EventEmitter();
                    _this.trackAxisToolTip_output = new core_2.EventEmitter();
                    _this.trackToolTip_output = new core_2.EventEmitter();
                    _this.axisLabelClick_output = new core_2.EventEmitter();
                    _this.axisLabelMouseMove_output = new core_2.EventEmitter();
                    _this.chartClick_output = new core_2.EventEmitter();
                    _this.chartMouseMove_output = new core_2.EventEmitter();
                    _this.chartDoubleClick_output = new core_2.EventEmitter();
                    _this.annotationClick_output = new core_2.EventEmitter();
                    _this.afterResize_output = new core_2.EventEmitter();
                    _this.beforeResize_output = new core_2.EventEmitter();
                    _this.errorBarRendering_output = new core_2.EventEmitter();
                    _this.scrollChanged_output = new core_2.EventEmitter();
                    _this.scrollStart_output = new core_2.EventEmitter();
                    _this.scrollEnd_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('backGroundImageUrl'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "backGroundImageUrl_input", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "border_input", void 0);
                __decorate([
                    core_2.Input('exportSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_input", void 0);
                __decorate([
                    core_2.Input('chartArea'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_input", void 0);
                __decorate([
                    core_2.Input('crosshair'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_input", void 0);
                __decorate([
                    core_2.Input('depth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "depth_input", void 0);
                __decorate([
                    core_2.Input('enable3D'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "enable3D_input", void 0);
                __decorate([
                    core_2.Input('enableCanvasRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "enableCanvasRendering_input", void 0);
                __decorate([
                    core_2.Input('initSeriesRender'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "initSeriesRender_input", void 0);
                __decorate([
                    core_2.Input('enableRotation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "enableRotation_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('legend'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('palette'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "palette_input", void 0);
                __decorate([
                    core_2.Input('Margin'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "Margin_input", void 0);
                __decorate([
                    core_2.Input('perspectiveAngle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "perspectiveAngle_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_input", void 0);
                __decorate([
                    core_2.Input('rotation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "rotation_input", void 0);
                __decorate([
                    core_2.Input('sideBySideSeriesPlacement'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "sideBySideSeriesPlacement_input", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "size_input", void 0);
                __decorate([
                    core_2.Input('theme'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "theme_input", void 0);
                __decorate([
                    core_2.Input('tilt'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tilt_input", void 0);
                __decorate([
                    core_2.Input('title'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_input", void 0);
                __decorate([
                    core_2.Input('wallSize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "wallSize_input", void 0);
                __decorate([
                    core_2.Input('zooming'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_input", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "border_color_input", void 0);
                __decorate([
                    core_2.Input('border.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "border_opacity_input", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "border_width_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.filename'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_filename_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.action'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_action_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.angle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_angle_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_type_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.orientation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_orientation_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_mode_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.multipleExport'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "exportSettings_multipleExport_input", void 0);
                __decorate([
                    core_2.Input('chartArea.background'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_background_input", void 0);
                __decorate([
                    core_2.Input('chartArea.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_border_input", void 0);
                __decorate([
                    core_2.Input('chartArea.border.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_border_color_input", void 0);
                __decorate([
                    core_2.Input('chartArea.border.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_border_opacity_input", void 0);
                __decorate([
                    core_2.Input('chartArea.border.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartArea_border_width_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_border_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.border.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_border_color_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.border.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_border_dashArray_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.border.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_border_width_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.columnFacet'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_columnFacet_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.columnWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_columnWidth_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.columnSpacing'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_columnSpacing_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.visibleOnLegend'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_visibleOnLegend_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.stackingGroup'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_stackingGroup_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_dashArray_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.dataSource'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_dataSource_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.doughnutCoefficient'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_doughnutCoefficient_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.doughnutSize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_doughnutSize_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.drawType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_drawType_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.enableSmartLabels'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_enableSmartLabels_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.endAngle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_endAngle_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.explode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_explode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.explodeAll'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_explodeAll_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.explodeIndex'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_explodeIndex_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.explodeOffset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_explodeOffset_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_fill_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_color_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.font.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_font_size_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.funnelHeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_funnelHeight_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.funnelWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_funnelWidth_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.gapRatio'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_gapRatio_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.isClosed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_isClosed_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.isStacking'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_isStacking_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.isTransposed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_isTransposed_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.showMedian'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_showMedian_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.labelPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_labelPosition_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.splitMode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_splitMode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.boxPlotMode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_boxPlotMode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.lineCap'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_lineCap_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.lineJoin'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_lineJoin_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_border_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.dataLabel'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_dataLabel_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_fill_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.imageUrl'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_imageUrl_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.shape'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_shape_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_size_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.marker.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_marker_visible_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.outlierSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_outlierSettings_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.outlierSettings.shape'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_outlierSettings_shape_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.outlierSettings.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_outlierSettings_size_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.palette'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_palette_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.pieCoefficient'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_pieCoefficient_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.pieOfPieCoefficient'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_pieOfPieCoefficient_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.splitValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_splitValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.gapWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_gapWidth_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.pointColorMappingName'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_pointColorMappingName_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.pyramidMode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_pyramidMode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.startAngle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_startAngle_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.cornerRadius'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_cornerRadius_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.cornerRadius.topLeft'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_cornerRadius_topLeft_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.cornerRadius.topRight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_cornerRadius_topRight_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.cornerRadius.bottomLeft'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_cornerRadius_bottomLeft_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.cornerRadius.bottomRight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_cornerRadius_bottomRight_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_border_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.rx'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_rx_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.ry'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_ry_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.duration'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_duration_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.enableAnimation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_fill_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.format'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_format_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.template'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_template_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.tooltip.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_tooltip_visible_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_type_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.xAxisName'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_xAxisName_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.xName'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_xName_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.yAxisName'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_yAxisName_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.yName'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_yName_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.high'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_high_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.low'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_low_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.open'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_open_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.close'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_close_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.zOrder'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_zOrder_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_size_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.emptyPointSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_emptyPointSettings_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.emptyPointSettings.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_emptyPointSettings_visible_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.emptyPointSettings.displayMode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_emptyPointSettings_displayMode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.emptyPointSettings.style'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_emptyPointSettings_style_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.positiveFill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_positiveFill_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.connectorLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_connectorLine_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.connectorLine.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_connectorLine_width_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.connectorLine.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_connectorLine_color_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.connectorLine.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_connectorLine_dashArray_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.connectorLine.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_connectorLine_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.dragSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_dragSettings_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.dragSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_dragSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.dragSettings.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_dragSettings_type_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.visibility'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_visibility_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_type_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.mode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_mode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.direction'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_direction_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.verticalErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_verticalErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.horizontalErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_horizontalErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.horizontalPositiveErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_horizontalPositiveErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.horizontalNegativeErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_horizontalNegativeErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.verticalPositiveErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_verticalPositiveErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.verticalNegativeErrorValue'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_verticalNegativeErrorValue_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_fill_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_width_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.errorBar.cap'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_errorBar_cap_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_mode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_color_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_border_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.pattern'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_pattern_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.highlightSettings.customPattern'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_highlightSettings_customPattern_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.enable'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_type_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_mode_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.rangeType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_rangeType_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_color_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_opacity_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_border_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.pattern'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_pattern_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.selectionSettings.customPattern'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_selectionSettings_customPattern_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_border_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_fill_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.rx'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_rx_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.ry'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_ry_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_opacity_input", void 0);
                __decorate([
                    core_2.Input('crosshair.trackballTooltipSettings.mode'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_trackballTooltipSettings_mode_input", void 0);
                __decorate([
                    core_2.Input('crosshair.marker'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_marker_input", void 0);
                __decorate([
                    core_2.Input('crosshair.marker.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_marker_border_input", void 0);
                __decorate([
                    core_2.Input('crosshair.marker.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_marker_opacity_input", void 0);
                __decorate([
                    core_2.Input('crosshair.marker.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_marker_size_input", void 0);
                __decorate([
                    core_2.Input('crosshair.marker.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_marker_visible_input", void 0);
                __decorate([
                    core_2.Input('crosshair.line'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_line_input", void 0);
                __decorate([
                    core_2.Input('crosshair.line.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_line_color_input", void 0);
                __decorate([
                    core_2.Input('crosshair.line.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_line_width_input", void 0);
                __decorate([
                    core_2.Input('crosshair.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_type_input", void 0);
                __decorate([
                    core_2.Input('crosshair.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "crosshair_visible_input", void 0);
                __decorate([
                    core_2.Input('legend.alignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_alignment_input", void 0);
                __decorate([
                    core_2.Input('legend.background'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_background_input", void 0);
                __decorate([
                    core_2.Input('legend.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_border_input", void 0);
                __decorate([
                    core_2.Input('legend.border.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_border_color_input", void 0);
                __decorate([
                    core_2.Input('legend.border.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_border_width_input", void 0);
                __decorate([
                    core_2.Input('legend.columnCount'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_columnCount_input", void 0);
                __decorate([
                    core_2.Input('legend.enableScrollbar'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_enableScrollbar_input", void 0);
                __decorate([
                    core_2.Input('legend.fill'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_fill_input", void 0);
                __decorate([
                    core_2.Input('legend.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_font_input", void 0);
                __decorate([
                    core_2.Input('legend.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('legend.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('legend.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('legend.font.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_font_size_input", void 0);
                __decorate([
                    core_2.Input('legend.itemPadding'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_itemPadding_input", void 0);
                __decorate([
                    core_2.Input('legend.itemStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_itemStyle_input", void 0);
                __decorate([
                    core_2.Input('legend.itemStyle.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_itemStyle_border_input", void 0);
                __decorate([
                    core_2.Input('legend.itemStyle.height'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_itemStyle_height_input", void 0);
                __decorate([
                    core_2.Input('legend.itemStyle.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_itemStyle_width_input", void 0);
                __decorate([
                    core_2.Input('legend.location'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_location_input", void 0);
                __decorate([
                    core_2.Input('legend.location.x'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_location_x_input", void 0);
                __decorate([
                    core_2.Input('legend.location.y'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_location_y_input", void 0);
                __decorate([
                    core_2.Input('legend.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_opacity_input", void 0);
                __decorate([
                    core_2.Input('legend.position'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_position_input", void 0);
                __decorate([
                    core_2.Input('legend.rowCount'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_rowCount_input", void 0);
                __decorate([
                    core_2.Input('legend.shape'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_shape_input", void 0);
                __decorate([
                    core_2.Input('legend.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_size_input", void 0);
                __decorate([
                    core_2.Input('legend.size.height'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_size_height_input", void 0);
                __decorate([
                    core_2.Input('legend.size.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_size_width_input", void 0);
                __decorate([
                    core_2.Input('legend.title'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_title_input", void 0);
                __decorate([
                    core_2.Input('legend.title.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_title_font_input", void 0);
                __decorate([
                    core_2.Input('legend.title.text'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_title_text_input", void 0);
                __decorate([
                    core_2.Input('legend.title.textAlignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_title_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('legend.textOverflow'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_textOverflow_input", void 0);
                __decorate([
                    core_2.Input('legend.textWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_textWidth_input", void 0);
                __decorate([
                    core_2.Input('legend.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legend_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.alternateGridBand'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_alternateGridBand_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.alternateGridBand.even'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_alternateGridBand_even_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.alternateGridBand.odd'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_alternateGridBand_odd_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.crossesAt'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_crossesAt_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.crossesInAxis'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_crossesInAxis_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.isIndexed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_isIndexed_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine.offset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_offset_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_color_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.axisLine.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_axisLine_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.columnIndex'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_columnIndex_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.columnSpan'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_columnSpan_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.crosshairLabel'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_crosshairLabel_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.crosshairLabel.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_crosshairLabel_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.desiredIntervals'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_desiredIntervals_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelPlacement'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelPlacement_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.edgeLabelPlacement'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_edgeLabelPlacement_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.enableTrim'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_enableTrim_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_opacity_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.font.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_font_size_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.intervalType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_intervalType_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.isInversed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_isInversed_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelFormat'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelFormat_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelIntersectAction'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelIntersectAction_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.alignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_alignment_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelRotation'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelRotation_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.logBase'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_logBase_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_color_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_opacity_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorGridLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorGridLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorTickLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorTickLines_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorTickLines.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorTickLines_size_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorTickLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorTickLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.majorTickLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_majorTickLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.maximumLabels'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_maximumLabels_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.maximumLabelWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_maximumLabelWidth_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorGridLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorGridLines_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorGridLines.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorGridLines_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorGridLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorGridLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorGridLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorGridLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorTickLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorTickLines_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorTickLines.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorTickLines_size_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorTickLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorTickLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorTickLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorTickLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.minorTicksPerInterval'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_minorTicksPerInterval_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.name'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_name_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.opposedPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_opposedPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.plotOffset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_plotOffset_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.range'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_range_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.range.min'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_range_min_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.range.max'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_range_max_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.range.interval'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_range_interval_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.rangePadding'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_rangePadding_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.roundingPlaces'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_roundingPlaces_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.showNextToAxisLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_showNextToAxisLine_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.tickLinesPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_tickLinesPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelBorder'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelBorder_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelBorder.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelBorder_color_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.labelBorder.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_labelBorder_width_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.enableTrim'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_enableTrim_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_font_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.maximumTitleWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_maximumTitleWidth_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.text'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_text_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.offset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_offset_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.position'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_position_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.title.alignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_title_alignment_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.valueType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_valueType_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.zoomFactor'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_zoomFactor_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.zoomPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_zoomPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.alternateGridBand'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_alternateGridBand_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.alternateGridBand.even'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_alternateGridBand_even_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.alternateGridBand.odd'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_alternateGridBand_odd_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine.offset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_offset_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_color_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.axisLine.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_axisLine_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.crossesAt'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_crossesAt_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.crossesInAxis'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_crossesInAxis_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.crosshairLabel'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_crosshairLabel_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.crosshairLabel.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_crosshairLabel_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.desiredIntervals'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_desiredIntervals_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelPlacement'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelPlacement_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.edgeLabelPlacement'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_edgeLabelPlacement_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.enableTrim'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_enableTrim_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_opacity_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.font.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_font_size_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.intervalType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_intervalType_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.isInversed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_isInversed_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelFormat'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelFormat_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelIntersectAction'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelIntersectAction_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.alignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_alignment_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.logBase'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_logBase_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_color_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_opacity_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorGridLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorGridLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorTickLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorTickLines_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorTickLines.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorTickLines_size_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorTickLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorTickLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.majorTickLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_majorTickLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.maximumLabels'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_maximumLabels_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.maximumLabelWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_maximumLabelWidth_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorGridLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorGridLines_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorGridLines.dashArray'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorGridLines_dashArray_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorGridLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorGridLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorGridLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorGridLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorTickLines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorTickLines_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorTickLines.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorTickLines_size_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorTickLines.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorTickLines_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorTickLines.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorTickLines_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.minorTicksPerInterval'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_minorTicksPerInterval_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.name'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_name_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.opposedPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_opposedPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.plotOffset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_plotOffset_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.range'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_range_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.range.min'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_range_min_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.range.max'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_range_max_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.range.interval'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_range_interval_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.rangePadding'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_rangePadding_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.roundingPlaces'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_roundingPlaces_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.rowIndex'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_rowIndex_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.rowSpan'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_rowSpan_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.showNextToAxisLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_showNextToAxisLine_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.tickLinesPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_tickLinesPosition_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelBorder'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelBorder_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelBorder.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelBorder_color_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.labelBorder.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_labelBorder_width_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.enableTrim'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_enableTrim_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_font_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.maximumTitleWidth'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_maximumTitleWidth_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.text'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_text_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.offset'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_offset_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.position'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_position_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.title.alignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_title_alignment_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.valueType'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_valueType_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.visible'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_visible_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.zoomFactor'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_zoomFactor_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.zoomPosition'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_zoomPosition_input", void 0);
                __decorate([
                    core_2.Input('size.height'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "size_height_input", void 0);
                __decorate([
                    core_2.Input('size.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "size_width_input", void 0);
                __decorate([
                    core_2.Input('title.background'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_background_input", void 0);
                __decorate([
                    core_2.Input('title.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_border_input", void 0);
                __decorate([
                    core_2.Input('title.border.width'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_border_width_input", void 0);
                __decorate([
                    core_2.Input('title.border.color'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_border_color_input", void 0);
                __decorate([
                    core_2.Input('title.border.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_border_opacity_input", void 0);
                __decorate([
                    core_2.Input('title.border.cornerRadius'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_border_cornerRadius_input", void 0);
                __decorate([
                    core_2.Input('title.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_input", void 0);
                __decorate([
                    core_2.Input('title.font.fontFamily'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('title.font.fontStyle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('title.font.fontWeight'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('title.font.opacity'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_opacity_input", void 0);
                __decorate([
                    core_2.Input('title.font.size'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_font_size_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle.font'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_font_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle.background'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_background_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle.border'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_border_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle.text'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_text_input", void 0);
                __decorate([
                    core_2.Input('title.subTitle.textAlignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_subTitle_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('title.text'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_text_input", void 0);
                __decorate([
                    core_2.Input('title.textAlignment'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "title_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('zooming.enable'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_enable_input", void 0);
                __decorate([
                    core_2.Input('zooming.enablePinching'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_enablePinching_input", void 0);
                __decorate([
                    core_2.Input('zooming.enableDeferredZoom'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_enableDeferredZoom_input", void 0);
                __decorate([
                    core_2.Input('zooming.enableMouseWheel'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_enableMouseWheel_input", void 0);
                __decorate([
                    core_2.Input('zooming.type'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_type_input", void 0);
                __decorate([
                    core_2.Input('zooming.enableScrollbar'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_enableScrollbar_input", void 0);
                __decorate([
                    core_2.Input('zooming.toolbarItems'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zooming_toolbarItems_input", void 0);
                __decorate([
                    core_2.Input('annotations'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "annotations_input", void 0);
                __decorate([
                    core_2.Input('columnDefinitions'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "columnDefinitions_input", void 0);
                __decorate([
                    core_2.Input('indicators'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "indicators_input", void 0);
                __decorate([
                    core_2.Input('axes'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axes_input", void 0);
                __decorate([
                    core_2.Input('rowDefinitions'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "rowDefinitions_input", void 0);
                __decorate([
                    core_2.Input('series'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "series_input", void 0);
                __decorate([
                    core_2.Input('commonSeriesOptions.trendlines'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "commonSeriesOptions_trendlines_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.multiLevelLabels'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_multiLevelLabels_input", void 0);
                __decorate([
                    core_2.Input('primaryXAxis.stripLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryXAxis_stripLine_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.multiLevelLabels'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_multiLevelLabels_input", void 0);
                __decorate([
                    core_2.Input('primaryYAxis.stripLine'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "primaryYAxis_stripLine_input", void 0);
                __decorate([
                    core_2.Output('animationComplete'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "animationComplete_output", void 0);
                __decorate([
                    core_2.Output('axesLabelRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axesLabelRendering_output", void 0);
                __decorate([
                    core_2.Output('axesLabelsInitialize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axesLabelsInitialize_output", void 0);
                __decorate([
                    core_2.Output('axesRangeCalculate'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axesRangeCalculate_output", void 0);
                __decorate([
                    core_2.Output('axesTitleRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axesTitleRendering_output", void 0);
                __decorate([
                    core_2.Output('chartAreaBoundsCalculate'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartAreaBoundsCalculate_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('displayTextRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "displayTextRendering_output", void 0);
                __decorate([
                    core_2.Output('legendBoundsCalculate'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legendBoundsCalculate_output", void 0);
                __decorate([
                    core_2.Output('legendItemClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legendItemClick_output", void 0);
                __decorate([
                    core_2.Output('legendItemMouseMove'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legendItemMouseMove_output", void 0);
                __decorate([
                    core_2.Output('legendItemRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "legendItemRendering_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('zoomed'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "zoomed_output", void 0);
                __decorate([
                    core_2.Output('rangeSelected'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "rangeSelected_output", void 0);
                __decorate([
                    core_2.Output('pointRegionClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "pointRegionClick_output", void 0);
                __decorate([
                    core_2.Output('pointRegionMouseMove'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "pointRegionMouseMove_output", void 0);
                __decorate([
                    core_2.Output('preRender'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "preRender_output", void 0);
                __decorate([
                    core_2.Output('seriesRegionClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "seriesRegionClick_output", void 0);
                __decorate([
                    core_2.Output('seriesRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "seriesRendering_output", void 0);
                __decorate([
                    core_2.Output('symbolRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "symbolRendering_output", void 0);
                __decorate([
                    core_2.Output('titleRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "titleRendering_output", void 0);
                __decorate([
                    core_2.Output('toolTipInitialize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "toolTipInitialize_output", void 0);
                __decorate([
                    core_2.Output('trackAxisToolTip'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "trackAxisToolTip_output", void 0);
                __decorate([
                    core_2.Output('trackToolTip'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "trackToolTip_output", void 0);
                __decorate([
                    core_2.Output('axisLabelClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axisLabelClick_output", void 0);
                __decorate([
                    core_2.Output('axisLabelMouseMove'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "axisLabelMouseMove_output", void 0);
                __decorate([
                    core_2.Output('chartClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartClick_output", void 0);
                __decorate([
                    core_2.Output('chartMouseMove'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartMouseMove_output", void 0);
                __decorate([
                    core_2.Output('chartDoubleClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "chartDoubleClick_output", void 0);
                __decorate([
                    core_2.Output('annotationClick'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "annotationClick_output", void 0);
                __decorate([
                    core_2.Output('afterResize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "afterResize_output", void 0);
                __decorate([
                    core_2.Output('beforeResize'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "beforeResize_output", void 0);
                __decorate([
                    core_2.Output('errorBarRendering'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "errorBarRendering_output", void 0);
                __decorate([
                    core_2.Output('scrollChanged'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "scrollChanged_output", void 0);
                __decorate([
                    core_2.Output('scrollStart'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "scrollStart_output", void 0);
                __decorate([
                    core_2.Output('scrollEnd'),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "scrollEnd_output", void 0);
                __decorate([
                    core_2.ContentChild(ChartSeriesCollectionDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_series", void 0);
                __decorate([
                    core_2.ContentChild(ChartIndicatorsDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_indicators", void 0);
                __decorate([
                    core_2.ContentChild(ChartAnnotationsDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_annotations", void 0);
                __decorate([
                    core_2.ContentChild(ChartPrimaryXAxisStripLineCollectionDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_primaryXAxis_stripLine", void 0);
                __decorate([
                    core_2.ContentChild(ChartPrimaryYAxisStripLineCollectionDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_primaryYAxis_stripLine", void 0);
                __decorate([
                    core_2.ContentChild(ChartRowDefinitionsDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_rowDefinitions", void 0);
                __decorate([
                    core_2.ContentChild(ChartColumnDefinitionsDirective),
                    __metadata("design:type", Object)
                ], ChartComponent.prototype, "tag_columnDefinitions", void 0);
                ChartComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-chart',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], ChartComponent);
                return ChartComponent;
            }(core_1.EJComponents));
            exports_1("ChartComponent", ChartComponent);
            exports_1("EJ_CHART_COMPONENTS", EJ_CHART_COMPONENTS = [ChartComponent,
                ChartTrendlinesDirective, ChartPointsDirective, ChartSeriesCollectionDirective, ChartIndicatorsDirective, ChartAnnotationsDirective, ChartPrimaryXAxisStripLineCollectionDirective, ChartPrimaryYAxisStripLineCollectionDirective, ChartRowDefinitionsDirective, ChartColumnDefinitionsDirective, ChartTrendlineDirective, ChartPointDirective, ChartSeriesDirective, ChartIndicatorDirective, ChartAnnotationDirective, ChartPrimaryXAxisStripLineDirective, ChartPrimaryYAxisStripLineDirective, ChartRowDefinitionDirective, ChartColumnDefinitionDirective]);
        }
    };
});
//# sourceMappingURL=chart.component.js.map