System.register(["syncfusion-javascript/Scripts/ej/web/ej.colorpicker", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, ColorPickerValueAccessor, ColorPickerComponent, EJ_COLORPICKER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("ColorPickerValueAccessor", ColorPickerValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return ColorPickerComponent; }),
                multi: true
            });
            ColorPickerComponent = (function (_super) {
                __extends(ColorPickerComponent, _super);
                function ColorPickerComponent(el, cdRef) {
                    var _this = _super.call(this, 'ColorPicker', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.value_twoChange = new core_2.EventEmitter();
                    _this.opacityValue_twoChange = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                ColorPickerComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                ColorPickerComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                ColorPickerComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('buttonText'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "buttonText_input", void 0);
                __decorate([
                    core_2.Input('buttonMode'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "buttonMode_input", void 0);
                __decorate([
                    core_2.Input('columns'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "columns_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('custom'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "custom_input", void 0);
                __decorate([
                    core_2.Input('displayInline'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "displayInline_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enableOpacity'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "enableOpacity_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('modelType'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "modelType_input", void 0);
                __decorate([
                    core_2.Input('palette'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "palette_input", void 0);
                __decorate([
                    core_2.Input('presetType'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "presetType_input", void 0);
                __decorate([
                    core_2.Input('showApplyCancel'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showApplyCancel_input", void 0);
                __decorate([
                    core_2.Input('showClearButton'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showClearButton_input", void 0);
                __decorate([
                    core_2.Input('showPreview'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showPreview_input", void 0);
                __decorate([
                    core_2.Input('showRecentColors'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showRecentColors_input", void 0);
                __decorate([
                    core_2.Input('showSwitcher'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showSwitcher_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('toolIcon'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "toolIcon_input", void 0);
                __decorate([
                    core_2.Input('tooltipText'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_input", void 0);
                __decorate([
                    core_2.Input('buttonText.apply'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "buttonText_apply_input", void 0);
                __decorate([
                    core_2.Input('buttonText.cancel'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "buttonText_cancel_input", void 0);
                __decorate([
                    core_2.Input('buttonText.swatches'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "buttonText_swatches_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.switcher'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_switcher_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.addbutton'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_addbutton_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.basic'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_basic_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.monochrome'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_monochrome_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.flatcolors'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_flatcolors_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.seawolf'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_seawolf_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.webcolors'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_webcolors_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.sandy'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_sandy_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.pinkshades'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_pinkshades_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.misty'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_misty_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.citrus'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_citrus_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.vintage'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_vintage_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.moonlight'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_moonlight_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.candycrush'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_candycrush_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.currentcolor'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_currentcolor_input", void 0);
                __decorate([
                    core_2.Input('tooltipText.selectedcolor'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "tooltipText_selectedcolor_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "value_two", void 0);
                __decorate([
                    core_2.Output('valueChange'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "value_twoChange", void 0);
                __decorate([
                    core_2.Input('opacityValue'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "opacityValue_two", void 0);
                __decorate([
                    core_2.Output('opacityValueChange'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "opacityValue_twoChange", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], ColorPickerComponent.prototype, "select_output", void 0);
                ColorPickerComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-colorpicker]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [ColorPickerValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], ColorPickerComponent);
                return ColorPickerComponent;
            }(core_1.EJComponents));
            exports_1("ColorPickerComponent", ColorPickerComponent);
            exports_1("EJ_COLORPICKER_COMPONENTS", EJ_COLORPICKER_COMPONENTS = [ColorPickerComponent
            ]);
        }
    };
});
//# sourceMappingURL=colorpicker.component.js.map