System.register(["syncfusion-javascript/Scripts/ej/web/ej.grid.min", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, GridCommandDirective, GridCommandsDirective, GridColumnDirective, GridColumnsDirective, GridSummaryColumnDirective, GridSummaryColumnsDirective, GridSummaryRowDirective, GridSummaryRowsDirective, GridStackedHeaderColumnDirective, GridStackedHeaderColumnsDirective, GridStackedHeaderRowDirective, GridStackedHeaderRowsDirective, GridComponent, EJ_GRID_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            GridCommandDirective = (function (_super) {
                __extends(GridCommandDirective, _super);
                function GridCommandDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('buttonOptions'),
                    __metadata("design:type", Object)
                ], GridCommandDirective.prototype, "buttonOptions", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], GridCommandDirective.prototype, "type", void 0);
                GridCommandDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-commands>e-command',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridCommandDirective);
                return GridCommandDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridCommandDirective", GridCommandDirective);
            GridCommandsDirective = (function (_super) {
                __extends(GridCommandsDirective, _super);
                function GridCommandsDirective(widget) {
                    return _super.call(this, 'commands') || this;
                }
                GridCommandsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-columns>e-commands',
                        queries: {
                            children: new core_2.ContentChildren(GridCommandDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridCommandsDirective);
                return GridCommandsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridCommandsDirective", GridCommandsDirective);
            GridColumnDirective = (function (_super) {
                __extends(GridColumnDirective, _super);
                function GridColumnDirective(widget) {
                    var _this = _super.call(this, ['commands']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('clipMode'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "clipMode", void 0);
                __decorate([
                    core_2.Input('allowEditing'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "allowEditing", void 0);
                __decorate([
                    core_2.Input('allowFiltering'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "allowFiltering", void 0);
                __decorate([
                    core_2.Input('allowGrouping'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "allowGrouping", void 0);
                __decorate([
                    core_2.Input('allowSorting'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "allowSorting", void 0);
                __decorate([
                    core_2.Input('allowResizing'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "allowResizing", void 0);
                __decorate([
                    core_2.Input('commands'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "commands", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "cssClass", void 0);
                __decorate([
                    core_2.Input('customAttributes'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "customAttributes", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "dataSource", void 0);
                __decorate([
                    core_2.Input('defaultValue'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "defaultValue", void 0);
                __decorate([
                    core_2.Input('disableHtmlEncode'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "disableHtmlEncode", void 0);
                __decorate([
                    core_2.Input('displayAsCheckBox'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "displayAsCheckBox", void 0);
                __decorate([
                    core_2.Input('editParams'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "editParams", void 0);
                __decorate([
                    core_2.Input('editTemplate'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "editTemplate", void 0);
                __decorate([
                    core_2.Input('editType'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "editType", void 0);
                __decorate([
                    core_2.Input('enableGroupByFormat'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "enableGroupByFormat", void 0);
                __decorate([
                    core_2.Input('field'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "field", void 0);
                __decorate([
                    core_2.Input('filterBarTemplate'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "filterBarTemplate", void 0);
                __decorate([
                    core_2.Input('filterType'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "filterType", void 0);
                __decorate([
                    core_2.Input('foreignKeyField'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "foreignKeyField", void 0);
                __decorate([
                    core_2.Input('foreignKeyValue'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "foreignKeyValue", void 0);
                __decorate([
                    core_2.Input('format'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "format", void 0);
                __decorate([
                    core_2.Input('headerTemplateID'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "headerTemplateID", void 0);
                __decorate([
                    core_2.Input('headerText'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "headerText", void 0);
                __decorate([
                    core_2.Input('headerTextAlign'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "headerTextAlign", void 0);
                __decorate([
                    core_2.Input('headerTooltip'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "headerTooltip", void 0);
                __decorate([
                    core_2.Input('isFrozen'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "isFrozen", void 0);
                __decorate([
                    core_2.Input('isIdentity'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "isIdentity", void 0);
                __decorate([
                    core_2.Input('isPrimaryKey'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "isPrimaryKey", void 0);
                __decorate([
                    core_2.Input('priority'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "priority", void 0);
                __decorate([
                    core_2.Input('showInColumnChooser'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "showInColumnChooser", void 0);
                __decorate([
                    core_2.Input('template'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "template", void 0);
                __decorate([
                    core_2.Input('textAlign'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "textAlign", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "tooltip", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "validationRules", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "width", void 0);
                __decorate([
                    core_2.ContentChild(GridCommandsDirective),
                    __metadata("design:type", Object)
                ], GridColumnDirective.prototype, "tag_commands", void 0);
                GridColumnDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-columns>e-column',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridColumnDirective);
                return GridColumnDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridColumnDirective", GridColumnDirective);
            GridColumnsDirective = (function (_super) {
                __extends(GridColumnsDirective, _super);
                function GridColumnsDirective(widget) {
                    return _super.call(this, 'columns') || this;
                }
                GridColumnsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-grid>e-columns',
                        queries: {
                            children: new core_2.ContentChildren(GridColumnDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridColumnsDirective);
                return GridColumnsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridColumnsDirective", GridColumnsDirective);
            GridSummaryColumnDirective = (function (_super) {
                __extends(GridSummaryColumnDirective, _super);
                function GridSummaryColumnDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('customSummaryValue'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "customSummaryValue", void 0);
                __decorate([
                    core_2.Input('dataMember'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "dataMember", void 0);
                __decorate([
                    core_2.Input('displayColumn'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "displayColumn", void 0);
                __decorate([
                    core_2.Input('format'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "format", void 0);
                __decorate([
                    core_2.Input('prefix'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "prefix", void 0);
                __decorate([
                    core_2.Input('suffix'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "suffix", void 0);
                __decorate([
                    core_2.Input('summaryType'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "summaryType", void 0);
                __decorate([
                    core_2.Input('template'),
                    __metadata("design:type", Object)
                ], GridSummaryColumnDirective.prototype, "template", void 0);
                GridSummaryColumnDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-summarycolumns>e-summarycolumn',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridSummaryColumnDirective);
                return GridSummaryColumnDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridSummaryColumnDirective", GridSummaryColumnDirective);
            GridSummaryColumnsDirective = (function (_super) {
                __extends(GridSummaryColumnsDirective, _super);
                function GridSummaryColumnsDirective(widget) {
                    return _super.call(this, 'summaryColumns') || this;
                }
                GridSummaryColumnsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-summaryrows>e-summarycolumns',
                        queries: {
                            children: new core_2.ContentChildren(GridSummaryColumnDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridSummaryColumnsDirective);
                return GridSummaryColumnsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridSummaryColumnsDirective", GridSummaryColumnsDirective);
            GridSummaryRowDirective = (function (_super) {
                __extends(GridSummaryRowDirective, _super);
                function GridSummaryRowDirective(widget) {
                    var _this = _super.call(this, ['summaryColumns']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('showCaptionSummary'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "showCaptionSummary", void 0);
                __decorate([
                    core_2.Input('showGroupSummary'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "showGroupSummary", void 0);
                __decorate([
                    core_2.Input('showTotalSummary'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "showTotalSummary", void 0);
                __decorate([
                    core_2.Input('summaryColumns'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "summaryColumns", void 0);
                __decorate([
                    core_2.Input('title'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "title", void 0);
                __decorate([
                    core_2.Input('titleColumn'),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "titleColumn", void 0);
                __decorate([
                    core_2.ContentChild(GridSummaryColumnsDirective),
                    __metadata("design:type", Object)
                ], GridSummaryRowDirective.prototype, "tag_summaryColumns", void 0);
                GridSummaryRowDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-summaryrows>e-summaryrow',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridSummaryRowDirective);
                return GridSummaryRowDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridSummaryRowDirective", GridSummaryRowDirective);
            GridSummaryRowsDirective = (function (_super) {
                __extends(GridSummaryRowsDirective, _super);
                function GridSummaryRowsDirective(widget) {
                    return _super.call(this, 'summaryRows') || this;
                }
                GridSummaryRowsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-grid>e-summaryrows',
                        queries: {
                            children: new core_2.ContentChildren(GridSummaryRowDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridSummaryRowsDirective);
                return GridSummaryRowsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridSummaryRowsDirective", GridSummaryRowsDirective);
            GridStackedHeaderColumnDirective = (function (_super) {
                __extends(GridStackedHeaderColumnDirective, _super);
                function GridStackedHeaderColumnDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('column'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderColumnDirective.prototype, "column", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderColumnDirective.prototype, "cssClass", void 0);
                __decorate([
                    core_2.Input('headerText'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderColumnDirective.prototype, "headerText", void 0);
                __decorate([
                    core_2.Input('textAlign'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderColumnDirective.prototype, "textAlign", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderColumnDirective.prototype, "tooltip", void 0);
                GridStackedHeaderColumnDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-stackedheadercolumns>e-stackedheadercolumn',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridStackedHeaderColumnDirective);
                return GridStackedHeaderColumnDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridStackedHeaderColumnDirective", GridStackedHeaderColumnDirective);
            GridStackedHeaderColumnsDirective = (function (_super) {
                __extends(GridStackedHeaderColumnsDirective, _super);
                function GridStackedHeaderColumnsDirective(widget) {
                    return _super.call(this, 'stackedHeaderColumns') || this;
                }
                GridStackedHeaderColumnsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-stackedheaderrows>e-stackedheadercolumns',
                        queries: {
                            children: new core_2.ContentChildren(GridStackedHeaderColumnDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridStackedHeaderColumnsDirective);
                return GridStackedHeaderColumnsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridStackedHeaderColumnsDirective", GridStackedHeaderColumnsDirective);
            GridStackedHeaderRowDirective = (function (_super) {
                __extends(GridStackedHeaderRowDirective, _super);
                function GridStackedHeaderRowDirective(widget) {
                    var _this = _super.call(this, ['stackedHeaderColumns']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('stackedHeaderColumns'),
                    __metadata("design:type", Object)
                ], GridStackedHeaderRowDirective.prototype, "stackedHeaderColumns", void 0);
                __decorate([
                    core_2.ContentChild(GridStackedHeaderColumnsDirective),
                    __metadata("design:type", Object)
                ], GridStackedHeaderRowDirective.prototype, "tag_stackedHeaderColumns", void 0);
                GridStackedHeaderRowDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-stackedheaderrows>e-stackedheaderrow',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridStackedHeaderRowDirective);
                return GridStackedHeaderRowDirective;
            }(core_1.ComplexTagElement));
            exports_1("GridStackedHeaderRowDirective", GridStackedHeaderRowDirective);
            GridStackedHeaderRowsDirective = (function (_super) {
                __extends(GridStackedHeaderRowsDirective, _super);
                function GridStackedHeaderRowsDirective(widget) {
                    return _super.call(this, 'stackedHeaderRows') || this;
                }
                GridStackedHeaderRowsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-grid>e-stackedheaderrows',
                        queries: {
                            children: new core_2.ContentChildren(GridStackedHeaderRowDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return GridComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], GridStackedHeaderRowsDirective);
                return GridStackedHeaderRowsDirective;
            }(core_1.ArrayTagElement));
            exports_1("GridStackedHeaderRowsDirective", GridStackedHeaderRowsDirective);
            GridComponent = (function (_super) {
                __extends(GridComponent, _super);
                function GridComponent(el, cdRef) {
                    var _this = _super.call(this, 'Grid', el, cdRef, ['columns', 'summaryRows', 'stackedHeaderRows']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.dataSource_twoChange = new core_2.EventEmitter();
                    _this.pageSettings_currentPage_twoChange = new core_2.EventEmitter();
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.actionFailure_output = new core_2.EventEmitter();
                    _this.batchAdd_output = new core_2.EventEmitter();
                    _this.batchDelete_output = new core_2.EventEmitter();
                    _this.beforeBatchAdd_output = new core_2.EventEmitter();
                    _this.beforeBatchDelete_output = new core_2.EventEmitter();
                    _this.beforeBatchSave_output = new core_2.EventEmitter();
                    _this.beforePrint_output = new core_2.EventEmitter();
                    _this.beforeRowDrop_output = new core_2.EventEmitter();
                    _this.beginEdit_output = new core_2.EventEmitter();
                    _this.cellEdit_output = new core_2.EventEmitter();
                    _this.cellSave_output = new core_2.EventEmitter();
                    _this.cellSelected_output = new core_2.EventEmitter();
                    _this.cellSelecting_output = new core_2.EventEmitter();
                    _this.cellDeselected_output = new core_2.EventEmitter();
                    _this.cellDeselecting_output = new core_2.EventEmitter();
                    _this.columnDrag_output = new core_2.EventEmitter();
                    _this.columnDragStart_output = new core_2.EventEmitter();
                    _this.columnDrop_output = new core_2.EventEmitter();
                    _this.rowDrag_output = new core_2.EventEmitter();
                    _this.rowDragStart_output = new core_2.EventEmitter();
                    _this.rowDrop_output = new core_2.EventEmitter();
                    _this.columnSelected_output = new core_2.EventEmitter();
                    _this.columnSelecting_output = new core_2.EventEmitter();
                    _this.columnDeselected_output = new core_2.EventEmitter();
                    _this.columnDeselecting_output = new core_2.EventEmitter();
                    _this.contextClick_output = new core_2.EventEmitter();
                    _this.contextOpen_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.dataBound_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.detailsCollapse_output = new core_2.EventEmitter();
                    _this.detailsDataBound_output = new core_2.EventEmitter();
                    _this.detailsExpand_output = new core_2.EventEmitter();
                    _this.endAdd_output = new core_2.EventEmitter();
                    _this.endDelete_output = new core_2.EventEmitter();
                    _this.endEdit_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.mergeHeaderCellInfo_output = new core_2.EventEmitter();
                    _this.mergeCellInfo_output = new core_2.EventEmitter();
                    _this.queryCellInfo_output = new core_2.EventEmitter();
                    _this.recordClick_output = new core_2.EventEmitter();
                    _this.recordDoubleClick_output = new core_2.EventEmitter();
                    _this.resized_output = new core_2.EventEmitter();
                    _this.resizeEnd_output = new core_2.EventEmitter();
                    _this.resizeStart_output = new core_2.EventEmitter();
                    _this.rightClick_output = new core_2.EventEmitter();
                    _this.rowDataBound_output = new core_2.EventEmitter();
                    _this.rowSelected_output = new core_2.EventEmitter();
                    _this.rowSelecting_output = new core_2.EventEmitter();
                    _this.rowDeselected_output = new core_2.EventEmitter();
                    _this.rowDeselecting_output = new core_2.EventEmitter();
                    _this.templateRefresh_output = new core_2.EventEmitter();
                    _this.toolbarClick_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('allowCellMerging'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowCellMerging_input", void 0);
                __decorate([
                    core_2.Input('allowGrouping'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowGrouping_input", void 0);
                __decorate([
                    core_2.Input('allowKeyboardNavigation'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowKeyboardNavigation_input", void 0);
                __decorate([
                    core_2.Input('allowFiltering'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowFiltering_input", void 0);
                __decorate([
                    core_2.Input('allowSorting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowSorting_input", void 0);
                __decorate([
                    core_2.Input('allowMultiSorting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowMultiSorting_input", void 0);
                __decorate([
                    core_2.Input('allowPaging'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowPaging_input", void 0);
                __decorate([
                    core_2.Input('allowReordering'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowReordering_input", void 0);
                __decorate([
                    core_2.Input('allowResizeToFit'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowResizeToFit_input", void 0);
                __decorate([
                    core_2.Input('allowResizing'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowResizing_input", void 0);
                __decorate([
                    core_2.Input('allowRowDragAndDrop'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowRowDragAndDrop_input", void 0);
                __decorate([
                    core_2.Input('allowScrolling'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowScrolling_input", void 0);
                __decorate([
                    core_2.Input('allowSearching'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowSearching_input", void 0);
                __decorate([
                    core_2.Input('allowSelection'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowSelection_input", void 0);
                __decorate([
                    core_2.Input('allowTextWrap'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowTextWrap_input", void 0);
                __decorate([
                    core_2.Input('allowMultipleExporting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "allowMultipleExporting_input", void 0);
                __decorate([
                    core_2.Input('commonWidth'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "commonWidth_input", void 0);
                __decorate([
                    core_2.Input('gridLines'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "gridLines_input", void 0);
                __decorate([
                    core_2.Input('childGrid'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "childGrid_input", void 0);
                __decorate([
                    core_2.Input('columnLayout'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnLayout_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('detailsTemplate'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "detailsTemplate_input", void 0);
                __decorate([
                    core_2.Input('editSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_input", void 0);
                __decorate([
                    core_2.Input('enableAltRow'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableAltRow_input", void 0);
                __decorate([
                    core_2.Input('enableAutoSaveOnSelectionChange'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableAutoSaveOnSelectionChange_input", void 0);
                __decorate([
                    core_2.Input('enableHeaderHover'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableHeaderHover_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableResponsiveRow'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableResponsiveRow_input", void 0);
                __decorate([
                    core_2.Input('enableRowHover'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableRowHover_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableTouch'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableTouch_input", void 0);
                __decorate([
                    core_2.Input('enableToolbarItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "enableToolbarItems_input", void 0);
                __decorate([
                    core_2.Input('exportToExcelAction'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "exportToExcelAction_input", void 0);
                __decorate([
                    core_2.Input('exportToPdfAction'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "exportToPdfAction_input", void 0);
                __decorate([
                    core_2.Input('exportToWordAction'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "exportToWordAction_input", void 0);
                __decorate([
                    core_2.Input('filterSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_input", void 0);
                __decorate([
                    core_2.Input('groupSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('keySettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "keySettings_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('minWidth'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "minWidth_input", void 0);
                __decorate([
                    core_2.Input('pageSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_input", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "query_input", void 0);
                __decorate([
                    core_2.Input('resizeSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "resizeSettings_input", void 0);
                __decorate([
                    core_2.Input('rowTemplate'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowTemplate_input", void 0);
                __decorate([
                    core_2.Input('rowDropSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDropSettings_input", void 0);
                __decorate([
                    core_2.Input('searchSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "searchSettings_input", void 0);
                __decorate([
                    core_2.Input('selectedRecords'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectedRecords_input", void 0);
                __decorate([
                    core_2.Input('selectedRowIndex'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectedRowIndex_input", void 0);
                __decorate([
                    core_2.Input('selectedRowIndices'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectedRowIndices_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectionSettings_input", void 0);
                __decorate([
                    core_2.Input('selectionType'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectionType_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_input", void 0);
                __decorate([
                    core_2.Input('showColumnChooser'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "showColumnChooser_input", void 0);
                __decorate([
                    core_2.Input('showStackedHeader'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "showStackedHeader_input", void 0);
                __decorate([
                    core_2.Input('showSummary'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "showSummary_input", void 0);
                __decorate([
                    core_2.Input('sortSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "sortSettings_input", void 0);
                __decorate([
                    core_2.Input('textWrapSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "textWrapSettings_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "toolbarSettings_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.contextMenuItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_contextMenuItems_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.customContextMenuItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_customContextMenuItems_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.enableContextMenu'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_enableContextMenu_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.disableDefaultItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_disableDefaultItems_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowAdding'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_allowAdding_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowDeleting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_allowDeleting_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowEditing'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_allowEditing_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowEditOnDblClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_allowEditOnDblClick_input", void 0);
                __decorate([
                    core_2.Input('editSettings.dialogEditorTemplateID'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_dialogEditorTemplateID_input", void 0);
                __decorate([
                    core_2.Input('editSettings.editMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_editMode_input", void 0);
                __decorate([
                    core_2.Input('editSettings.externalFormTemplateID'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_externalFormTemplateID_input", void 0);
                __decorate([
                    core_2.Input('editSettings.formPosition'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_formPosition_input", void 0);
                __decorate([
                    core_2.Input('editSettings.inlineFormTemplateID'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_inlineFormTemplateID_input", void 0);
                __decorate([
                    core_2.Input('editSettings.rowPosition'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_rowPosition_input", void 0);
                __decorate([
                    core_2.Input('editSettings.showConfirmDialog'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_showConfirmDialog_input", void 0);
                __decorate([
                    core_2.Input('editSettings.showDeleteConfirmDialog'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_showDeleteConfirmDialog_input", void 0);
                __decorate([
                    core_2.Input('editSettings.titleColumn'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_titleColumn_input", void 0);
                __decorate([
                    core_2.Input('editSettings.showAddNewRow'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "editSettings_showAddNewRow_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.enableCaseSensitivity'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_enableCaseSensitivity_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.enableInterDeterminateState'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_enableInterDeterminateState_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.filterBarMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_filterBarMode_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.filterType'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_filterType_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.immediateModeDelay'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_immediateModeDelay_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.maxFilterChoices'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_maxFilterChoices_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.showFilterBarStatus'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_showFilterBarStatus_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.showPredicate'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_showPredicate_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.captionFormat'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_captionFormat_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.enableDropAreaAutoSizing'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_enableDropAreaAutoSizing_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.groupedColumns'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_groupedColumns_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.showDropArea'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_showDropArea_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.showGroupedColumn'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_showGroupedColumn_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.showToggleButton'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_showToggleButton_input", void 0);
                __decorate([
                    core_2.Input('groupSettings.showUngroupButton'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "groupSettings_showUngroupButton_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.enableQueryString'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_enableQueryString_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.enableTemplates'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_enableTemplates_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageCount'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_pageCount_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageSize'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_pageSize_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.showDefaults'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_showDefaults_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.template'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_template_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.totalPages'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_totalPages_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.totalRecordsCount'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_totalRecordsCount_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.printMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_printMode_input", void 0);
                __decorate([
                    core_2.Input('resizeSettings.resizeMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "resizeSettings_resizeMode_input", void 0);
                __decorate([
                    core_2.Input('rowDropSettings.dropTargetID'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDropSettings_dropTargetID_input", void 0);
                __decorate([
                    core_2.Input('rowDropSettings.dragMapper'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDropSettings_dragMapper_input", void 0);
                __decorate([
                    core_2.Input('rowDropSettings.dropMapper'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDropSettings_dropMapper_input", void 0);
                __decorate([
                    core_2.Input('rowDropSettings.dragBehavior'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDropSettings_dragBehavior_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.fields'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "searchSettings_fields_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.key'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "searchSettings_key_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.operator'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "searchSettings_operator_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.ignoreCase'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "searchSettings_ignoreCase_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.cellSelectionMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectionSettings_cellSelectionMode_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.enableToggle'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectionSettings_enableToggle_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.selectionMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "selectionSettings_selectionMode_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.allowVirtualScrolling'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_allowVirtualScrolling_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.autoHide'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_autoHide_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.buttonSize'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_buttonSize_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.enableTouchScroll'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_enableTouchScroll_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.frozenColumns'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_frozenColumns_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.frozenRows'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_frozenRows_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.height'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_height_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.scrollerSize'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_scrollerSize_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.virtualScrollMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_virtualScrollMode_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.enableVirtualization'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_enableVirtualization_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.width'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_width_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.scrollOneStepBy'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "scrollSettings_scrollOneStepBy_input", void 0);
                __decorate([
                    core_2.Input('textWrapSettings.wrapMode'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "textWrapSettings_wrapMode_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings.showToolbar'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "toolbarSettings_showToolbar_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings.toolbarItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "toolbarSettings_toolbarItems_input", void 0);
                __decorate([
                    core_2.Input('columns'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columns_input", void 0);
                __decorate([
                    core_2.Input('stackedHeaderRows'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "stackedHeaderRows_input", void 0);
                __decorate([
                    core_2.Input('summaryRows'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "summaryRows_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.subContextMenu'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextMenuSettings_subContextMenu_input", void 0);
                __decorate([
                    core_2.Input('filterSettings.filteredColumns'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "filterSettings_filteredColumns_input", void 0);
                __decorate([
                    core_2.Input('sortSettings.sortedColumns'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "sortSettings_sortedColumns_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings.customToolbarItems'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "toolbarSettings_customToolbarItems_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "dataSource_two", void 0);
                __decorate([
                    core_2.Output('dataSourceChange'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "dataSource_twoChange", void 0);
                __decorate([
                    core_2.Input('pageSettings.currentPage'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_currentPage_two", void 0);
                __decorate([
                    core_2.Output('pageSettings.currentPageChange'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "pageSettings_currentPage_twoChange", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('actionFailure'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "actionFailure_output", void 0);
                __decorate([
                    core_2.Output('batchAdd'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "batchAdd_output", void 0);
                __decorate([
                    core_2.Output('batchDelete'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "batchDelete_output", void 0);
                __decorate([
                    core_2.Output('beforeBatchAdd'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beforeBatchAdd_output", void 0);
                __decorate([
                    core_2.Output('beforeBatchDelete'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beforeBatchDelete_output", void 0);
                __decorate([
                    core_2.Output('beforeBatchSave'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beforeBatchSave_output", void 0);
                __decorate([
                    core_2.Output('beforePrint'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beforePrint_output", void 0);
                __decorate([
                    core_2.Output('beforeRowDrop'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beforeRowDrop_output", void 0);
                __decorate([
                    core_2.Output('beginEdit'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "beginEdit_output", void 0);
                __decorate([
                    core_2.Output('cellEdit'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellEdit_output", void 0);
                __decorate([
                    core_2.Output('cellSave'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellSave_output", void 0);
                __decorate([
                    core_2.Output('cellSelected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellSelected_output", void 0);
                __decorate([
                    core_2.Output('cellSelecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellSelecting_output", void 0);
                __decorate([
                    core_2.Output('cellDeselected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellDeselected_output", void 0);
                __decorate([
                    core_2.Output('cellDeselecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "cellDeselecting_output", void 0);
                __decorate([
                    core_2.Output('columnDrag'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnDrag_output", void 0);
                __decorate([
                    core_2.Output('columnDragStart'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnDragStart_output", void 0);
                __decorate([
                    core_2.Output('columnDrop'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnDrop_output", void 0);
                __decorate([
                    core_2.Output('rowDrag'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDrag_output", void 0);
                __decorate([
                    core_2.Output('rowDragStart'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDragStart_output", void 0);
                __decorate([
                    core_2.Output('rowDrop'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDrop_output", void 0);
                __decorate([
                    core_2.Output('columnSelected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnSelected_output", void 0);
                __decorate([
                    core_2.Output('columnSelecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnSelecting_output", void 0);
                __decorate([
                    core_2.Output('columnDeselected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnDeselected_output", void 0);
                __decorate([
                    core_2.Output('columnDeselecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "columnDeselecting_output", void 0);
                __decorate([
                    core_2.Output('contextClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextClick_output", void 0);
                __decorate([
                    core_2.Output('contextOpen'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "contextOpen_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('dataBound'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "dataBound_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('detailsCollapse'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "detailsCollapse_output", void 0);
                __decorate([
                    core_2.Output('detailsDataBound'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "detailsDataBound_output", void 0);
                __decorate([
                    core_2.Output('detailsExpand'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "detailsExpand_output", void 0);
                __decorate([
                    core_2.Output('endAdd'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "endAdd_output", void 0);
                __decorate([
                    core_2.Output('endDelete'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "endDelete_output", void 0);
                __decorate([
                    core_2.Output('endEdit'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "endEdit_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('mergeHeaderCellInfo'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "mergeHeaderCellInfo_output", void 0);
                __decorate([
                    core_2.Output('mergeCellInfo'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "mergeCellInfo_output", void 0);
                __decorate([
                    core_2.Output('queryCellInfo'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "queryCellInfo_output", void 0);
                __decorate([
                    core_2.Output('recordClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "recordClick_output", void 0);
                __decorate([
                    core_2.Output('recordDoubleClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "recordDoubleClick_output", void 0);
                __decorate([
                    core_2.Output('resized'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "resized_output", void 0);
                __decorate([
                    core_2.Output('resizeEnd'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "resizeEnd_output", void 0);
                __decorate([
                    core_2.Output('resizeStart'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "resizeStart_output", void 0);
                __decorate([
                    core_2.Output('rightClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rightClick_output", void 0);
                __decorate([
                    core_2.Output('rowDataBound'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDataBound_output", void 0);
                __decorate([
                    core_2.Output('rowSelected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowSelected_output", void 0);
                __decorate([
                    core_2.Output('rowSelecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowSelecting_output", void 0);
                __decorate([
                    core_2.Output('rowDeselected'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDeselected_output", void 0);
                __decorate([
                    core_2.Output('rowDeselecting'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "rowDeselecting_output", void 0);
                __decorate([
                    core_2.Output('templateRefresh'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "templateRefresh_output", void 0);
                __decorate([
                    core_2.Output('toolbarClick'),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "toolbarClick_output", void 0);
                __decorate([
                    core_2.ContentChild(GridColumnsDirective),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "tag_columns", void 0);
                __decorate([
                    core_2.ContentChild(GridSummaryRowsDirective),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "tag_summaryRows", void 0);
                __decorate([
                    core_2.ContentChild(GridStackedHeaderRowsDirective),
                    __metadata("design:type", Object)
                ], GridComponent.prototype, "tag_stackedHeaderRows", void 0);
                GridComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-grid',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], GridComponent);
                return GridComponent;
            }(core_1.EJComponents));
            exports_1("GridComponent", GridComponent);
            exports_1("EJ_GRID_COMPONENTS", EJ_GRID_COMPONENTS = [GridComponent,
                GridCommandsDirective, GridColumnsDirective, GridSummaryColumnsDirective, GridSummaryRowsDirective, GridStackedHeaderColumnsDirective, GridStackedHeaderRowsDirective, GridCommandDirective, GridColumnDirective, GridSummaryColumnDirective, GridSummaryRowDirective, GridStackedHeaderColumnDirective, GridStackedHeaderRowDirective]);
        }
    };
});
//# sourceMappingURL=grid.component.js.map