System.register(["syncfusion-javascript/Scripts/ej/web/ej.maskedit", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, MaskEditValueAccessor, MaskEditComponent, EJ_MASKEDIT_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("MaskEditValueAccessor", MaskEditValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return MaskEditComponent; }),
                multi: true
            });
            MaskEditComponent = (function (_super) {
                __extends(MaskEditComponent, _super);
                function MaskEditComponent(el, cdRef) {
                    var _this = _super.call(this, 'MaskEdit', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.keydown_output = new core_2.EventEmitter();
                    _this.keyPress_output = new core_2.EventEmitter();
                    _this.keyup_output = new core_2.EventEmitter();
                    _this.mouseOut_output = new core_2.EventEmitter();
                    _this.mouseOver_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                MaskEditComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                MaskEditComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                MaskEditComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('customCharacter'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "customCharacter_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('hidePromptOnLeave'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "hidePromptOnLeave_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('inputMode'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "inputMode_input", void 0);
                __decorate([
                    core_2.Input('maskFormat'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "maskFormat_input", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "name_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('showError'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "showError_input", void 0);
                __decorate([
                    core_2.Input('showPromptChar'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "showPromptChar_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('textAlign'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "textAlign_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('keydown'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "keydown_output", void 0);
                __decorate([
                    core_2.Output('keyPress'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "keyPress_output", void 0);
                __decorate([
                    core_2.Output('keyup'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "keyup_output", void 0);
                __decorate([
                    core_2.Output('mouseOut'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "mouseOut_output", void 0);
                __decorate([
                    core_2.Output('mouseOver'),
                    __metadata("design:type", Object)
                ], MaskEditComponent.prototype, "mouseOver_output", void 0);
                MaskEditComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-maskedit]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [MaskEditValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], MaskEditComponent);
                return MaskEditComponent;
            }(core_1.EJComponents));
            exports_1("MaskEditComponent", MaskEditComponent);
            exports_1("EJ_MASKEDIT_COMPONENTS", EJ_MASKEDIT_COMPONENTS = [MaskEditComponent
            ]);
        }
    };
});
//# sourceMappingURL=maskedit.component.js.map