System.register(["syncfusion-javascript/Scripts/ej/web/ej.pivotgrid", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, PivotGridComponent, EJ_PIVOTGRID_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            PivotGridComponent = (function (_super) {
                __extends(PivotGridComponent, _super);
                function PivotGridComponent(el, cdRef) {
                    var _this = _super.call(this, 'PivotGrid', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.afterServiceInvoke_output = new core_2.EventEmitter();
                    _this.beforeServiceInvoke_output = new core_2.EventEmitter();
                    _this.beforePivotEnginePopulate_output = new core_2.EventEmitter();
                    _this.cellDoubleClick_output = new core_2.EventEmitter();
                    _this.cellContext_output = new core_2.EventEmitter();
                    _this.cellSelection_output = new core_2.EventEmitter();
                    _this.columnHeaderHyperlinkClick_output = new core_2.EventEmitter();
                    _this.drillSuccess_output = new core_2.EventEmitter();
                    _this.drillThrough_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.renderComplete_output = new core_2.EventEmitter();
                    _this.renderFailure_output = new core_2.EventEmitter();
                    _this.renderSuccess_output = new core_2.EventEmitter();
                    _this.rowHeaderHyperlinkClick_output = new core_2.EventEmitter();
                    _this.summaryCellHyperlinkClick_output = new core_2.EventEmitter();
                    _this.valueCellHyperlinkClick_output = new core_2.EventEmitter();
                    _this.saveReport_output = new core_2.EventEmitter();
                    _this.loadReport_output = new core_2.EventEmitter();
                    _this.beforeExport_output = new core_2.EventEmitter();
                    _this.cellEdit_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('analysisMode'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "analysisMode_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('pivotTableFieldListID'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "pivotTableFieldListID_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_input", void 0);
                __decorate([
                    core_2.Input('valueSortSettings'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "valueSortSettings_input", void 0);
                __decorate([
                    core_2.Input('frozenHeaderSettings'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "frozenHeaderSettings_input", void 0);
                __decorate([
                    core_2.Input('headerSettings'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "headerSettings_input", void 0);
                __decorate([
                    core_2.Input('showUniqueNameOnPivotButton'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "showUniqueNameOnPivotButton_input", void 0);
                __decorate([
                    core_2.Input('customObject'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "customObject_input", void 0);
                __decorate([
                    core_2.Input('collapsedMembers'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "collapsedMembers_input", void 0);
                __decorate([
                    core_2.Input('enableCellContext'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableCellContext_input", void 0);
                __decorate([
                    core_2.Input('enableCellSelection'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableCellSelection_input", void 0);
                __decorate([
                    core_2.Input('enableDrillThrough'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableDrillThrough_input", void 0);
                __decorate([
                    core_2.Input('enableCellDoubleClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableCellDoubleClick_input", void 0);
                __decorate([
                    core_2.Input('enableCellEditing'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableCellEditing_input", void 0);
                __decorate([
                    core_2.Input('enableCollapseByDefault'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableCollapseByDefault_input", void 0);
                __decorate([
                    core_2.Input('enableColumnGrandTotal'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableColumnGrandTotal_input", void 0);
                __decorate([
                    core_2.Input('enableConditionalFormatting'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableConditionalFormatting_input", void 0);
                __decorate([
                    core_2.Input('enableAdvancedFilter'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableAdvancedFilter_input", void 0);
                __decorate([
                    core_2.Input('enableDeferUpdate'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableDeferUpdate_input", void 0);
                __decorate([
                    core_2.Input('enableGroupingBar'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableGroupingBar_input", void 0);
                __decorate([
                    core_2.Input('enableGrandTotal'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableGrandTotal_input", void 0);
                __decorate([
                    core_2.Input('enableJSONRendering'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableJSONRendering_input", void 0);
                __decorate([
                    core_2.Input('enablePivotFieldList'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enablePivotFieldList_input", void 0);
                __decorate([
                    core_2.Input('enableRowGrandTotal'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableRowGrandTotal_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableToolTip'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableToolTip_input", void 0);
                __decorate([
                    core_2.Input('enableToolTipAnimation'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableToolTipAnimation_input", void 0);
                __decorate([
                    core_2.Input('enableColumnResizing'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableColumnResizing_input", void 0);
                __decorate([
                    core_2.Input('enableVirtualScrolling'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enableVirtualScrolling_input", void 0);
                __decorate([
                    core_2.Input('enablePaging'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "enablePaging_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkSettings'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "hyperlinkSettings_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('jsonRecords'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "jsonRecords_input", void 0);
                __decorate([
                    core_2.Input('layout'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "layout_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('operationalMode'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "operationalMode_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_input", void 0);
                __decorate([
                    core_2.Input('url'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "url_input", void 0);
                __decorate([
                    core_2.Input('dataSource.cube'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_cube_input", void 0);
                __decorate([
                    core_2.Input('dataSource.data'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_data_input", void 0);
                __decorate([
                    core_2.Input('dataSource.catalog'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_catalog_input", void 0);
                __decorate([
                    core_2.Input('dataSource.enableAdvancedFilter'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_enableAdvancedFilter_input", void 0);
                __decorate([
                    core_2.Input('dataSource.reportName'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_reportName_input", void 0);
                __decorate([
                    core_2.Input('dataSource.pagerOptions'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_pagerOptions_input", void 0);
                __decorate([
                    core_2.Input('dataSource.pagerOptions.categoricalPageSize'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_pagerOptions_categoricalPageSize_input", void 0);
                __decorate([
                    core_2.Input('dataSource.pagerOptions.seriesPageSize'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_pagerOptions_seriesPageSize_input", void 0);
                __decorate([
                    core_2.Input('dataSource.pagerOptions.categoricalCurrentPage'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_pagerOptions_categoricalCurrentPage_input", void 0);
                __decorate([
                    core_2.Input('dataSource.pagerOptions.seriesCurrentPage'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_pagerOptions_seriesCurrentPage_input", void 0);
                __decorate([
                    core_2.Input('valueSortSettings.headerText'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "valueSortSettings_headerText_input", void 0);
                __decorate([
                    core_2.Input('valueSortSettings.headerDelimiters'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "valueSortSettings_headerDelimiters_input", void 0);
                __decorate([
                    core_2.Input('valueSortSettings.sortOrder'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "valueSortSettings_sortOrder_input", void 0);
                __decorate([
                    core_2.Input('frozenHeaderSettings.enableFrozenRowHeaders'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "frozenHeaderSettings_enableFrozenRowHeaders_input", void 0);
                __decorate([
                    core_2.Input('frozenHeaderSettings.enableFrozenColumnHeaders'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "frozenHeaderSettings_enableFrozenColumnHeaders_input", void 0);
                __decorate([
                    core_2.Input('frozenHeaderSettings.enableFrozenHeaders'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "frozenHeaderSettings_enableFrozenHeaders_input", void 0);
                __decorate([
                    core_2.Input('frozenHeaderSettings.scrollerSize'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "frozenHeaderSettings_scrollerSize_input", void 0);
                __decorate([
                    core_2.Input('headerSettings.showRowItems'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "headerSettings_showRowItems_input", void 0);
                __decorate([
                    core_2.Input('headerSettings.showColumnItems'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "headerSettings_showColumnItems_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkSettings.enableColumnHeaderHyperlink'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "hyperlinkSettings_enableColumnHeaderHyperlink_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkSettings.enableRowHeaderHyperlink'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "hyperlinkSettings_enableRowHeaderHyperlink_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkSettings.enableSummaryCellHyperlink'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "hyperlinkSettings_enableSummaryCellHyperlink_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkSettings.enableValueCellHyperlink'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "hyperlinkSettings_enableValueCellHyperlink_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.drillDown'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_drillDown_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.exportPivotGrid'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_exportPivotGrid_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.deferUpdate'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_deferUpdate_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.fetchMembers'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_fetchMembers_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.filtering'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_filtering_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.initialize'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_initialize_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.nodeDropped'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_nodeDropped_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.nodeStateModified'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_nodeStateModified_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.paging'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_paging_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.sorting'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_sorting_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.memberExpand'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_memberExpand_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.cellEditing'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_cellEditing_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.saveReport'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_saveReport_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.loadReport'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_loadReport_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.calculatedField'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_calculatedField_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.drillThroughHierarchies'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_drillThroughHierarchies_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.drillThroughDataTable'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_drillThroughDataTable_input", void 0);
                __decorate([
                    core_2.Input('serviceMethodSettings.writeBack'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "serviceMethodSettings_writeBack_input", void 0);
                __decorate([
                    core_2.Input('dataSource.columns'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_columns_input", void 0);
                __decorate([
                    core_2.Input('dataSource.rows'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_rows_input", void 0);
                __decorate([
                    core_2.Input('dataSource.values'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_values_input", void 0);
                __decorate([
                    core_2.Input('dataSource.filters'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "dataSource_filters_input", void 0);
                __decorate([
                    core_2.Output('afterServiceInvoke'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "afterServiceInvoke_output", void 0);
                __decorate([
                    core_2.Output('beforeServiceInvoke'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "beforeServiceInvoke_output", void 0);
                __decorate([
                    core_2.Output('beforePivotEnginePopulate'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "beforePivotEnginePopulate_output", void 0);
                __decorate([
                    core_2.Output('cellDoubleClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "cellDoubleClick_output", void 0);
                __decorate([
                    core_2.Output('cellContext'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "cellContext_output", void 0);
                __decorate([
                    core_2.Output('cellSelection'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "cellSelection_output", void 0);
                __decorate([
                    core_2.Output('columnHeaderHyperlinkClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "columnHeaderHyperlinkClick_output", void 0);
                __decorate([
                    core_2.Output('drillSuccess'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "drillSuccess_output", void 0);
                __decorate([
                    core_2.Output('drillThrough'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "drillThrough_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('renderComplete'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "renderComplete_output", void 0);
                __decorate([
                    core_2.Output('renderFailure'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "renderFailure_output", void 0);
                __decorate([
                    core_2.Output('renderSuccess'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "renderSuccess_output", void 0);
                __decorate([
                    core_2.Output('rowHeaderHyperlinkClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "rowHeaderHyperlinkClick_output", void 0);
                __decorate([
                    core_2.Output('summaryCellHyperlinkClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "summaryCellHyperlinkClick_output", void 0);
                __decorate([
                    core_2.Output('valueCellHyperlinkClick'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "valueCellHyperlinkClick_output", void 0);
                __decorate([
                    core_2.Output('saveReport'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "saveReport_output", void 0);
                __decorate([
                    core_2.Output('loadReport'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "loadReport_output", void 0);
                __decorate([
                    core_2.Output('beforeExport'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "beforeExport_output", void 0);
                __decorate([
                    core_2.Output('cellEdit'),
                    __metadata("design:type", Object)
                ], PivotGridComponent.prototype, "cellEdit_output", void 0);
                PivotGridComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-pivotgrid',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], PivotGridComponent);
                return PivotGridComponent;
            }(core_1.EJComponents));
            exports_1("PivotGridComponent", PivotGridComponent);
            exports_1("EJ_PIVOTGRID_COMPONENTS", EJ_PIVOTGRID_COMPONENTS = [PivotGridComponent
            ]);
        }
    };
});
//# sourceMappingURL=pivotgrid.component.js.map