System.register(["syncfusion-javascript/Scripts/ej/web/ej.tile", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, TileComponent, EJ_TILE_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            TileComponent = (function (_super) {
                __extends(TileComponent, _super);
                function TileComponent(el, cdRef) {
                    var _this = _super.call(this, 'Tile', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.badge_value_twoChange = new core_2.EventEmitter();
                    _this.badge_enabled_twoChange = new core_2.EventEmitter();
                    _this.badge_text_twoChange = new core_2.EventEmitter();
                    _this.badge_position_twoChange = new core_2.EventEmitter();
                    _this.caption_text_twoChange = new core_2.EventEmitter();
                    _this.mouseDown_output = new core_2.EventEmitter();
                    _this.mouseUp_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('badge'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_input", void 0);
                __decorate([
                    core_2.Input('caption'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('imageClass'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "imageClass_input", void 0);
                __decorate([
                    core_2.Input('imagePosition'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "imagePosition_input", void 0);
                __decorate([
                    core_2.Input('imageTemplateId'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "imageTemplateId_input", void 0);
                __decorate([
                    core_2.Input('imageUrl'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "imageUrl_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('liveTile'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_input", void 0);
                __decorate([
                    core_2.Input('tileSize'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "tileSize_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('allowSelection'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "allowSelection_input", void 0);
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "backgroundColor_input", void 0);
                __decorate([
                    core_2.Input('badge.maxValue'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_maxValue_input", void 0);
                __decorate([
                    core_2.Input('badge.minValue'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_minValue_input", void 0);
                __decorate([
                    core_2.Input('caption.enabled'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_enabled_input", void 0);
                __decorate([
                    core_2.Input('caption.alignment'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_alignment_input", void 0);
                __decorate([
                    core_2.Input('caption.position'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_position_input", void 0);
                __decorate([
                    core_2.Input('caption.icon'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_icon_input", void 0);
                __decorate([
                    core_2.Input('liveTile.enabled'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_enabled_input", void 0);
                __decorate([
                    core_2.Input('liveTile.imageClass'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_imageClass_input", void 0);
                __decorate([
                    core_2.Input('liveTile.imageTemplateId'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_imageTemplateId_input", void 0);
                __decorate([
                    core_2.Input('liveTile.imageUrl'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_imageUrl_input", void 0);
                __decorate([
                    core_2.Input('liveTile.type'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_type_input", void 0);
                __decorate([
                    core_2.Input('liveTile.updateInterval'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_updateInterval_input", void 0);
                __decorate([
                    core_2.Input('liveTile.text'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "liveTile_text_input", void 0);
                __decorate([
                    core_2.Input('badge.value'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_value_two", void 0);
                __decorate([
                    core_2.Output('badge.valueChange'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_value_twoChange", void 0);
                __decorate([
                    core_2.Input('badge.enabled'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_enabled_two", void 0);
                __decorate([
                    core_2.Output('badge.enabledChange'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_enabled_twoChange", void 0);
                __decorate([
                    core_2.Input('badge.text'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_text_two", void 0);
                __decorate([
                    core_2.Output('badge.textChange'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_text_twoChange", void 0);
                __decorate([
                    core_2.Input('badge.position'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_position_two", void 0);
                __decorate([
                    core_2.Output('badge.positionChange'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "badge_position_twoChange", void 0);
                __decorate([
                    core_2.Input('caption.text'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_text_two", void 0);
                __decorate([
                    core_2.Output('caption.textChange'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "caption_text_twoChange", void 0);
                __decorate([
                    core_2.Output('mouseDown'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "mouseDown_output", void 0);
                __decorate([
                    core_2.Output('mouseUp'),
                    __metadata("design:type", Object)
                ], TileComponent.prototype, "mouseUp_output", void 0);
                TileComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-tile',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], TileComponent);
                return TileComponent;
            }(core_1.EJComponents));
            exports_1("TileComponent", TileComponent);
            exports_1("EJ_TILE_COMPONENTS", EJ_TILE_COMPONENTS = [TileComponent
            ]);
        }
    };
});
//# sourceMappingURL=tile.component.js.map